package com.xxh.cloud.etl.common.framework.constant;

public enum DwdCleanDataStatus {



    NotData("NotData","无读取数据"),

    NotConfig("NotConfig","清洗规则无配置"),


    NotCleanData("NotCleanData","无清洗成功数据"),

    Success("Success","清洗成功");


    ;

    private String code;
    private String name;

    private DwdCleanDataStatus() {
    }

    DwdCleanDataStatus(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
