package com.xxh.cloud.etl.common.framework.modules.bean.dwd;

public enum DiagnoseRelTypeEnum {



    Discharge("discharge","出院"),
    ExamineApply("examine_apply","检查申请单"),

    LaboratoryApply("laboratory_apply","检验申请单"),

    Medicine("medicine","医嘱用药"),


    Therapy("therapy","治疗"),


    Operation_Apply("operation_apply","手术申请"),


    Operation_Pre("operation_pre","手术前诊断"),
    Operation_Final("operation_final","手术后诊断"),

//    PE_E1020("E1020","出检查报告"),
//    PE_E1030("E1030","出体检报告"),
//    PE_E1040("E1040","预约住院"),
//    PE_E1050("E1050","申请检验(实验室检查）"),
//    PE_E1060("E1060","申请检查"),
//    PE_E1070("E1070","出院"),
//    PE_E1080("E1080","登记入院"),
//    PE_E1090("E1090","申请手术"),
//    PE_E1100("E1100","开药物（医生给患者开药）"),
    ;
    private String code;
    private String name;

    private DiagnoseRelTypeEnum() {
    }

    DiagnoseRelTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }



}
