package com.xxh.cloud.etl.common.framework.modules.bean.dwd;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DiagnosisReportDBRO {

    /**
     * 患者编号
     */
    private String patient_id;

    /**
     *  id
     * */
    private String id;

    /**
     *   就诊记录号
     * */
    private String visit_id;


    /**
     * 住院号
     * */
    private String in_patient_no;


    /**
     * 患者姓名
     * */
    private String patient_name;

    /**
     * 下诊断科室名称(原始)
     * */
    private String department_name_raw;

    /**
     * 下诊断科室名称(标准)
     * */
    private String department_name_standard;

    /**
     * 下诊断科室编码(原始)
     * */
    private String department_code_raw;

    /**
     * 下诊断科室编码(标准)
     * */
    private String department_code_standard;

    /**
     * 下诊断医生编号
     * */
    private String doctor_code;

    /**
     * 下诊断医生姓名
     * */
    private String doctor_name;

    /**
     * 诊断时间
     * */
    private Date diagnosis_time;

    /**
     * 场景分类(原始)
     * */
    private String scene_type_raw;

    /**
     * 场景分类(标准)
     * */
    private String scene_type_standard;

    /**
     * 诊断业务分类
     * */
    private String rel_type;

    private String rel_id;

    /**
     * 备注
     * */
    private String description;

    /**
     * 诊断编码(原始)
     * */
    private String diagnosis_code_raw;

    /**
     * 诊断内容(原始)
     * */
    private String diagnosis_name_raw;

    /**
     * 诊断编码(标准)
     * */
    private String diagnosis_code_standard;

    /**
     * 诊断内容(标准)
     * */
    private String diagnosis_name_standard;


    /**
     * 是否主诊断
     * */
    private String main_flag;

    /**
     * 是否确诊
     * */
    private String confirm_flag;

    /**
     * 数据更新时间(原始)
     * */
    private Date data_update_date;

    /**
     * 操作人
     * */
    private String op_data_user;

    /**
     * 数据操作时间
     * */
    private Date op_date;


}
