package com.xxh.cloud.etl.common.framework.modules.bean.ods;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 诊断
 * */
@Getter
@Setter
public class DiagnoseBO {


    /**
     * 诊断流水号
     * */
    private String sn;

    /**
     * 下诊断科室代码
     * */
    private String dpc;

    /**
     * 下诊断科室名称
     * */
    private String dpn;

    /**
     * 下诊断时间
     * */
    private Date dt;

    /**
     * 下诊断医生代码
     * */
    private String dcc;

    /**
     * 下诊断医生名称
     * */
    private String dcn;

    /**
     * icd代码
     * */
    private String dicd;

    /**
     * 诊断代码
     * */
    private String dcode;

    /**
     * 诊断名称
     * */
    private String dname;

    /**
     * 是否主诊断:1.主要诊断
     * */
    private String dmain;

    /**
     * 是否确诊：1.确诊
     * */
    private String dflag;

    /**
     * 诊断顺序
     * */
    private int didx;


}
