package com.xxh.cloud.etl.common.framework.modules.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConditionalOnProperty(name = "xx.etl.config.enable", havingValue = "true")
@Getter
@Setter
public class ProjectETLConfig {


    @Value("${xx.etl.config.dbType}")
    private String dbType;

    @Value("${xx.etl.config.dbUrl}")
    private String dbUrl;

    @Value("${xx.etl.config.dataDbName}")
    private String dataDbName;

    @Value("${xx.etl.config.dbUserName}")
    private String dbUserName;

    @Value("${xx.etl.config.dbUserPassword}")
    private String dbUserPassword ;

    @Value("${xx.etl.config.syncTask}")
    private boolean syncTask;

//    @Value("${xx.etl.config.cleanMqFlag}")
//    private boolean cleanMqFlag=false;

//    @Value("${xx.etl.config.ruleMqFlag}")
//    private boolean ruleMqFlag=false;

    @Value("${xx.etl.config.syncDomain}")
    private String syncDomain;

    @Value("${xx.etl.config.syncAppId}")
    private String syncAppId;

    @Value("${xx.etl.config.syncSecret}")
    private String syncSecret;






}
