package com.xxh.cloud.etl.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class ConfigDataCleanUpdateDTO {

    @ApiModelProperty(value = "编号",required = true)
    @NotEmpty(message = "编号不能为空")
    private String code;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "清洗数据分类")
    private String type;


    @ApiModelProperty(value = "备注")
    private String remark;
}
