package com.xxh.cloud.etl.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class DataCleanConfigDetailSaveDTO {


        @ApiModelProperty(value = "数据清洗编号",required = true)
        @NotEmpty(message = "数据清洗编号不能为空")
        private String dataCleanCode;

        @ApiModelProperty(value = "项目编号")
        private String projectCode;

        @ApiModelProperty(value = "原始数据")
        private String sourceName;

        @ApiModelProperty(value = "原始数据")
        private String sourceCode;


        @ApiModelProperty(value = "对应标准数据名称")
        private String standardName;

        @ApiModelProperty(value = "对应标准数据编号")
        private String standardCode;

        @ApiModelProperty(value = "备注")
        private String remark;


}
