package com.xxh.cloud.etl.framework.modules.biz.service;

import com.xxh.cloud.etl.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.etl.framework.modules.biz.bean.vos.DataCleanConfigDetailVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface DataCleanConfigDetailBizService {



    public List<DataCleanConfigDetailVO> list(DataCleanConfigDetailListDTO params);


    public PageData<DataCleanConfigDetailVO> query(DataCleanConfigDetailPageDTO params);


    public DataCleanConfigDetailVO save(DataCleanConfigDetailSaveDTO params);

    public DataCleanConfigDetailVO update(DataCleanConfigDetailUpdateDTO params);

    public void process(DataCleanConfigDetailProcessDTO params);

    public void delById(String id);

    public DataCleanConfigDetailVO getById(String id);


    public void saveBatch(List<DataCleanConfigDetailSimpleSaveDTO> params);

}
