package com.xxh.cloud.etl.framework.modules.cache.service;

import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface DataCleanConfigCacheService {



    public DataCleanConfigBO getDataCleanConfigByCache(String code);

    public List<DataCleanConfigBO> getDataCleanConfigListByCache(Collection<String> codes);

    public Map<String,DataCleanConfigBO> getDataCleanConfigMapByCache(Collection<String> codes);

    public void removeDataCleanConfig(String code);

    public void removeDataCleanConfig(Collection<String> codes);

    public DataCleanConfigBO getDataCleanConfigByDB(String code);

    public List<DataCleanConfigBO> getDataCleanConfigListByDB(Collection<String> codes);

    public Map<String,DataCleanConfigBO> getDataCleanConfigMapByDB(Collection<String> codes);


}
