package com.xxh.cloud.data.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class DwTableDataOrderByDTO {


    @ApiModelProperty(value = "属性",required = true)
    @NotEmpty(message = "属性不能为空")
    private String propCode;

    @ApiModelProperty(value = "排序方式(OrderByWayEnum)",required = true)
    @NotEmpty(message = "排序方式不能为空")
    private String orderByType;


}
