package com.xxh.cloud.data.framework.modules.biz.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.data.framework.modules.biz.service.DwDataDwsManagerBizService;
import com.xxh.cloud.metadata.framework.modules.script.mapper.SqlOperateMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.servlet.tags.form.SelectTag;

import java.util.List;
import java.util.Map;

@DS("wd")
@Log4j2
@Service
public class DwDataDwsManagerBizServiceImpl implements DwDataDwsManagerBizService {

    @Autowired
    private SqlOperateMapper sqlOperateMapper;

    @Override
    public List<Map<String, Object>> selectList(String sql) {
        return sqlOperateMapper.selectList(sql);
    }

    @Override
    public List<Map<String, Object>> selectList_labReportItem(){
        String sql="Select sample_type as sample,name,code FROM ods_laboratory_report_item_info " +
                "where name is not null GROUP BY sample_type,name, " +
                "code order BY name ";
        return sqlOperateMapper.selectList(sql);
    }

    @Override
    public List<Map<String, Object>> selectList_examineReport(){
        String sql="SELECT device_type_name as type,report_name as name FROM ods_examine_report_info GROUP BY device_type_name , report_name";
        return sqlOperateMapper.selectList(sql);
    }

}
