package com.xxh.cloud.exeEtl.framework.lab.range.bean;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class LabRangeConfigBO {


    /**
     * 原始文本
     * */
    private String text;

    /**
     * 正则后的文本
     * */
    private List<String> reVals;


    /**
     * 解析后区间
     * */
    private List<LabRangeConfigNumBO> vals;

    /**
     * 解析失败
     * */
    private List<String> failVals;



    public LabRangeConfigBO(String text,List<String> reVals){
        this.text=text;
        this.reVals=reVals;
    }


//    public LabRangeConfigBO(){
//
//    }


    public void addFail(String failVal){
        if(this.failVals==null){
            this.failVals=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(failVal)){
            this.failVals.add(failVal);
        }
    }

    public void addVal(LabRangeConfigNumBO item){
        if(this.vals==null){
            this.vals=new ArrayList<>();
        }
        if(item!=null){
            this.vals.add(item);
        }
    }

}
