package com.xxh.cloud.exeEtl.framework.lab.range.bean;


import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class LabRangeConfigNumBO {

    /**
     * 原始文本
     * */
    private String text;

    /**
     * 标题
     * */
    private String name;

    /**
     * 左值【不含等于】
     * */
    private Double lval;

    /**
     * 左值【含等于】
     * */
    private Double leval;

    /**
     * 右值【不含等于】
     * */
    private Double rval;

    /**
     * 右值【含等于】
     * */
    private Double reval;


    public LabRangeConfigNumBO(String text){
        this.text=text;
    }

    public LabRangeConfigNumBO(){

    }



}
