package com.xxh.cloud.exeEtl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据清洗日志表
 * </p>
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("bwd_data_clean_log_info")
public class DataCleanLogInfo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;


    @ApiModelProperty(value = "实体名称")
    private String name;


    @ApiModelProperty(value = "实体字段")
    private String prop;


    @ApiModelProperty(value = "规则编号")
    private String ruleCode;

    @ApiModelProperty(value = "规则名称")
    private String ruleName;


    @ApiModelProperty(value = "总数据量")
    private Integer totalNum;


    @ApiModelProperty(value = "成功数据量")
    private Integer totalSuccess;


    @ApiModelProperty(value = "失败数据量")
    private Integer totalFail;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    /**
     * 截止时间
     */
    @ApiModelProperty(value = "截止时间")
    private Date endDate;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String opUser;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date opDate;


}
