package com.xxh.cloud.exeEtl.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataCleanErrorLogVO {



    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 实体名称
     */
    @ApiModelProperty(value = "实体名称")
    private String name;

    /**
     * 实体字段
     */
    @ApiModelProperty(value = "实体字段")
    private String prop;

    /**
     * 规则编号
     */
    @ApiModelProperty(value = "规则编号")
    private String ruleCode;

    /**
     * 规则名称
     */
    @ApiModelProperty(value = "规则名称")
    private String ruleName;


    @ApiModelProperty(value = "对象内容")
    private String objContent;

    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息")
    private String errorInfo;

    /**
     * 处理状态
     */
    @ApiModelProperty(value = "处理状态")
    private String status;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String opUser;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date opDate;



}
