package com.xxh.cloud.exeEtl.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataCleanLogVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "实体名称")
    private String name;


    @ApiModelProperty(value = "实体字段")
    private String prop;


    @ApiModelProperty(value = "规则编号")
    private String ruleCode;

    @ApiModelProperty(value = "规则名称")
    private String ruleName;


    @ApiModelProperty(value = "总数据量")
    private Integer totalNum;


    @ApiModelProperty(value = "成功数据量")
    private Integer totalSuccess;


    @ApiModelProperty(value = "失败数据量")
    private Integer totalFail;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "截止时间")
    private Date endDate;

    @ApiModelProperty(value = "更新者")
    private String opUser;

    @ApiModelProperty(value = "更新时间")
    private Date opDate;


}
