package com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataCleanDiagnoseBean {

    /**
     * 原始编号
     * */
    private String rawCode;

    /**
     * 原始名称
     * */
    private String rawName;

    /**
     * 标准编号
     * */
    private String code;

    /**
     * 标准名称
     * */
    private String name;


    /**
     * 下诊断科室代码
     * */
    private String deptCode;

    /**
     * 下诊断科室名称
     * */
    private String deptName;

    /**
     * 下诊断时间
     * */
    private Date dt;

    /**
     * 下诊断医生代码
     * */
    private String doctorCode;

    /**
     * 下诊断医生名称
     * */
    private String doctorName;


    /**
     * 是否主诊断
     * */
    private String mainFlag;

    /**
     * 是否确诊
     * */
    private String confirmFlag;



}
