package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.MQCleanTableKeyEnum;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class Dwd2DwdCleanByPageDTO {

    private MQCleanTableKeyEnum key;

    /**
     * 计算标记:(MQ:Flow引擎)
     * */
    private boolean calculateFlag=false;

    /**
     * 事件标记:(MQ:Event引擎)
     * */
    private boolean eventFlag=false;
    /**
     * 数据MQ标记
     * */
    private boolean dataMQFlag=false;


    private long start ;

    private int num;

    private List<String> whereItems;


    public void addWhereItem(String item){
        if(this.whereItems==null){
            this.whereItems=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(item)){
            this.whereItems.add(item);
        }
    }




}
