package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.bean.dto;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class Dwd2DwdCleanDataDTO {


    /***/
    private String logBatchNo;


    /**
     * 计算标记:(MQ:Flow引擎)
     * */
    private boolean calculateFlag;

    /**
     * 事件标记:(MQ:Event引擎)
     * */
    private boolean eventFlag;


    /**
     * 数据MQ标记
     * */
    private boolean dataMQFlag;


    /**
     * 数据清洗配置标记
     * */
    private boolean cleanConfigFlag=true;


    /**
     * 读取数据 表名
     * */
    private String tableCode;

    /**
     * 读取数据 条件
     * */
    private List<String> whereItems;

    /**
     * 读取数据 排序
     * */
    private String orderByCode;

    /**
     * 读取数据 分页查询标记
     * */
    private boolean pageDataFlag;

    /**
     *读取数据 开始条数
     * */
    private long start ;

    /**
     *读取数据 一页条数
     * */
    private int num;

    /**
     *
     * */
    private HwdsWriteDBConfigBean lastDateConfig;

    /**
     *
     * */
    private HwdsWriteDBConfigBean patientDayConfig;




    public void addWhereItem(String item){
        if(this.whereItems==null){
            this.whereItems=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(item)){
            this.whereItems.add(item);
        }
    }



}
