package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 检查预约
 * */
@Log4j2
@Service
public class DwdExamineReserveCleanService extends Dwd2DwdCleanBaseService{

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //todo:
//        String col1="status_raw";
//        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
//        Object obj =  dataItem.get(col1);
//        if(colDataCleanConfig!=null && obj!=null){
//            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
//            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
//                flag=true;
//                dataItem.put("status_standard",valueRO.getCode());
//            }
//        }

        if(flag){
            if(context.isCalFlag()){
                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_ExamineReserve,dataItem.get("data_update_date"),dataItem.get("id"));
            }

            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("data_update_date"),
                    dataItem.get("apply_department_code_standard"), dataItem.get("apply_department_name_standard"),
                    dataItem.get("doctor_code"), dataItem.get("doctor_name"));
        }

        return flag;
    }
}
