package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;


import cn.hutool.core.convert.Convert;
import com.alibaba.fastjson2.JSON;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.http.OutContentHttpUtils;
import com.xxh.cloud.exeEtl.framework.modules.clean.http.bean.OutContentBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.http.bean.OutContentV5BO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service.Dwd2DwdCleanBaseService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 手术内容
 * */
@Log4j2
@Service
public class DwdOperationContentCleanService extends Dwd2DwdCleanBaseService {


    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;
        String col1="content_raw";
        Object obj1 =  dataItem.get(col1);
        if(obj1!=null){
            //todo:更新成V5.0解密接口 2024-11-11
            Object objId= dataItem.get("id");
            OutContentV5BO outContent = OutContentHttpUtils.getOutContent_V5(Convert.toStr(objId),Convert.toStr(obj1));
            //OutContentBO outContent= OutContentHttpUtils.getDoctorAdvice(Convert.toStr(obj1));
            if(outContent!=null){
                dataItem.put("content_standard", JSON.toJSONString(outContent));
                flag=true;
            }

        }

        if(flag){
//            if(context.isCalFlag()){
//                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_OutContent,null,dataItem.get("id"));
//            }
//            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("pay_time"),null,null,null,null);
        }
        return flag;
    }



}
