package com.xxh.cloud.exeEtl.framework.modules.read.bean.dto;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class DwdDataReadByPageDTO {

    private String tableCode;

    private List<String> whereItems;

    private String orderByCode;

    private long start ;

    private int num;

    public DwdDataReadByPageDTO(String tableCode, String orderByCode, long start, int num){
        this.tableCode=tableCode;
        this.orderByCode=orderByCode;
        this.start=start;
        this.num=num;
    }

    public DwdDataReadByPageDTO(){

    }

    public void addWhereItem(String item){
        if(this.whereItems==null){
            this.whereItems=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(item)){
            this.whereItems.add(item);
        }
    }
    //222

    public String getWhereSQL(){
        if(CollUtil.isEmpty(this.whereItems)){
            return null;
        }




        List<String> items=new ArrayList<>();
        this.whereItems.forEach(item->{
            String item2= item
                    .replaceAll("eq","=")
                    .replaceAll("ne","<>")
                    .replaceAll("gt",">")
                    .replaceAll("ge",">=")
                    .replaceAll("lt","<")
                    .replaceAll("le","<=");
            items.add(item2);
        });


        return StrUtil.join(" and ",items);
    }


}
