package com.xxh.cloud.exeEtl.framework.modules.read.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.read.service.DwdCleanDataWriteService;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import com.xxh.cloud.framework.common.write2.DorisWriteUtils;
import com.xxh.cloud.framework.common.write2.JdbcBatchWriteDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import javax.sql.DataSource;
import java.util.List;
import java.util.Map;

@DS("wd")
@Service
public class DwdCleanDataWriteServiceImpl implements DwdCleanDataWriteService {

    @Autowired
    private JdbcTemplate jdbcTemplate;


    private DataSource dataSource;

    @Override
    public JdbcBatchWriteDTO batchWrite(HwdsWriteDBConfigBean writeDBConfig, List<Map<String, Object>> data) {
        if(this.dataSource==null){
            System.out.println("++++ init dataSource ............");
            this.dataSource = jdbcTemplate.getDataSource();
        }
        System.out.println("++++++ 清洗成功写数据:"+data.size());
        return DorisWriteUtils.batchWrite(this.dataSource,writeDBConfig,data);
    }

}
