package com.xxh.cloud.sync.framework.modules.biz.bean.bos;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

import javax.xml.ws.soap.Addressing;
import java.util.*;

@Getter
@Setter
public class HdsContext {


    /**清洗MQ标记*/
    private boolean cleanMqFlag;

    /***/
    private Map<String,List<String>> cleanObjIdsMap;

//    /***/
//    private List<Map<String,Object>> patientLastDateList;


    public void addCleanObjId(String objKey,String objId){
        if(StrUtil.isEmpty(objKey) || StrUtil.isEmpty(objId)){
            return;
        }
        if(this.cleanObjIdsMap==null){
            this.cleanObjIdsMap=new HashMap<>();
        }
        List<String> ids= this.cleanObjIdsMap.get(objKey);
        if(ids==null){
            ids=new ArrayList<>();
            this.cleanObjIdsMap.put(objKey,ids);
        }
        ids.add(objId);
    }


//    public void addLastDate(Map<String,Object> item){
//        if(this.patientLastDateList==null){
//            this.patientLastDateList=new ArrayList<>();
//        }
//        if(MapUtil.isNotEmpty(item)){
//            this.patientLastDateList.add(item);
//        }
//    }

//    public void addLastDate(String patientId,String date){
//        Map<String,Object> item=new HashMap<>();
//        item.put("patient_id",patientId);
//        item.put("last_op_date",date);
//        this.addLastDate(item);
//    }

//    public void addLastDate(String patientId, Date date){
//        if(StrUtil.isEmpty(patientId) || date==null){
//            return;
//        }
//        Map<String,Object> item=new HashMap<>();
//        item.put("patient_id",patientId);
//        item.put("last_op_date", DateUtil.formatDateTime(date));
//        this.addLastDate(item);
//    }


//    public void addMQTopicItem(HdsContextMqTopic item){
//        if(this.mqTopicList==null){
//            this.mqTopicList=new ArrayList<>();
//        }
//        if(item!=null){
//            this.mqTopicList.add(item);
//        }
//    }
//
//    public void addMQQueueItem(HdsContextMqQueue item){
//        if(this.mqQueueList==null){
//            this.mqQueueList=new ArrayList<>();
//        }
//        if(item!=null){
//            this.mqQueueList.add(item);
//        }
//    }






}
