package com.xxh.cloud.sync.framework.modules.biz.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.sync.framework.modules.biz.bean.bos.OdsExamineApplyQueryRO;
import com.xxh.cloud.sync.framework.modules.biz.mapper.OdsExamineApplyQueryMapper;
import com.xxh.cloud.sync.framework.modules.biz.service.OdsExamineApplyCacheService;
import com.xxh.cloud.sync.framework.modules.read.api.resp.CheckApplyHBO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Deprecated
@DS("wd")
@Service
public class OdsExamineApplyCacheServiceImpl implements OdsExamineApplyCacheService {

    @Autowired
    private RedisUtils redisUtils;

    @Autowired
    private OdsExamineApplyQueryMapper odsExamineApplyQueryMapper;


    private String getKey(String applyId){
        return "ODS:EA:"+applyId;
    }
//
//    @Override
//    public String getByCache(String applyId) {
//        String key=this.getKey(applyId);
//        Object obj= redisUtils.get(key);
//        if(obj !=null){
//            return Convert.toStr(obj);
//        }
//        OdsExamineApplyQueryRO data =this.getObjByDB(applyId);
//        if(data!=null){
//            redisUtils.set(key,data.getPid(),RedisUtils.HOUR_ONE_EXPIRE);
//            return data.getPid();
//        }
//        return null;
//    }
//
//    @Override
//    public Map<String, String> getMapByCache(Set<String> applyIds) {
//        Map<String, String> data = new HashMap();
//        if (CollUtil.isEmpty(applyIds)) {
//            return data;
//        }
//        List<OdsExamineApplyQueryRO> list = this.getListByIds(applyIds);
//        if (CollUtil.isNotEmpty(list)) {
//            list.forEach((item) -> {
//                if(StrUtil.isNotEmpty(item.getId()) && StrUtil.isNotEmpty(item.getPid())){
//                    data.put(item.getId(), item.getPid());
//                }
//            });
//        }
//        return data;
//    }
//
//    private List<OdsExamineApplyQueryRO> getListByIds(Set<String> ids) {
//        List<OdsExamineApplyQueryRO> data = new ArrayList();
//        if (CollUtil.isEmpty(ids)) {
//            return data;
//        }
//
//        Set<String> keys = new HashSet();
//        ids.forEach((id) -> {
//            keys.add(this.getKey(id));
//        });
//
//        Map<String, Object> jsonMap = this.redisUtils.getBatchMap(keys);
//
//        if (MapUtil.isEmpty(jsonMap)) {
//            data = this.getListByDB(ids);
//             this.setCache(data);
//            return data;
//        }
//
//
//        Set<String> dbIds=new HashSet<>();
//        for(String id:ids){
//            Object pid= jsonMap.get(this.getKey(id));
//            if(pid!=null){
//                data.add(new OdsExamineApplyQueryRO(id,Convert.toStr(pid)));
//            }else {
//                dbIds.add(id);
//            }
//        }
//
//        if(dbIds.size()>0){
//            List<OdsExamineApplyQueryRO> list= this.getListByIds(dbIds);
//            if(CollUtil.isNotEmpty(list)){
//                data.addAll(list);
//                this.setCache(list);
//            }
//        }
//        return data;
//    }
//
//    private void setCache(List<OdsExamineApplyQueryRO> list){
//        if(CollUtil.isEmpty(list)){
//            return;
//        }
//        Map<String, String> map =new HashMap<>();
//        list.forEach(item->{
//            if(StrUtil.isNotEmpty(item.getId()) && StrUtil.isNotEmpty(item.getPid())){
//                map.put(this.getKey(item.getId()),item.getPid());
//            }
//        });
//        redisUtils.multiSet(map,RedisUtils.HOUR_ONE_EXPIRE);
//    }
//
//
//
//
//    @Override
//    public void addListByCache(List<CheckApplyHBO> list) {
//        if(CollUtil.isEmpty(list)){
//            return;
//        }
//        Map<String, String> map =new HashMap<>();
//        list.forEach(item->{
//            map.put(this.getKey(item.getApplyId()),item.getPatientId());
//        });
//        redisUtils.multiSet(map,RedisUtils.HOUR_ONE_EXPIRE);
//    }
//
//    private OdsExamineApplyQueryRO getObjByDB(String applyId){
//        OdsExamineApplyQueryRO entity= odsExamineApplyQueryMapper.getOdsExamineApplyQueryROObj(
//                new QueryWrapper<OdsExamineApplyQueryRO>()
//                        .eq("id",applyId)
//        );
//        return entity;
//    }
//
//    private List<OdsExamineApplyQueryRO> getListByDB(Set<String> applyIds){
//        List<OdsExamineApplyQueryRO> entityList= odsExamineApplyQueryMapper.getOdsExamineApplyQueryROList(
//                new QueryWrapper<OdsExamineApplyQueryRO>()
//                        .in("id",applyIds)
//        );
//        return entityList;
//    }




}
