package com.xxh.cloud.sync.framework.modules.biz.utils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.ListUtil;
import cn.hutool.crypto.SecureUtil;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.ExamProjectBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.LaboratoryProjectBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.OperationDiagnoseBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.ApplyCheckOrderHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.ApplyLabOrderHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.OperationDiagnoseHBO;

import java.util.Arrays;
import java.util.List;

public class HospitalSyncDateConvert {


    public static DiagnoseBO getDiagnoseBO(DiagnosisReportHBO entity){
        DiagnoseBO data=new DiagnoseBO();
        data.setSn(entity.getDiagSn());
        data.setDpc(entity.getDepartmentCode());
        data.setDpn(entity.getDepartmentName());
        data.setDt(entity.getDiagnosisTime());
        data.setDcc(entity.getDoctorCode());
        data.setDcn(entity.getDoctorName());
        data.setDicd(entity.getIcdCode());
        data.setDcode(entity.getDiagCode());
        data.setDname(entity.getDiagName());
        data.setDmain(entity.getMainFlag());
        data.setDflag(entity.getDefineFlag());
        data.setDidx(entity.getSortIndex());
        return data;
    }

    public static OperationDiagnoseBO getOperationDiagnoseBO(OperationDiagnoseHBO entity){
        OperationDiagnoseBO data=new OperationDiagnoseBO();
        data.setDcode(entity.getIcdCode());
        data.setDname(entity.getDiagName());
        data.setOpPartCode(entity.getOperationPartCode());
        data.setOpPartName(entity.getOperationPartName());
        return data;
    }



    //todo:删除
    public static ExamProjectBO getExamProjectBO(ApplyCheckOrderHBO entity){
        ExamProjectBO data=new ExamProjectBO();
        data.setType(entity.getExamName());
        data.setCode(entity.getExamOrderCode());
        data.setName(entity.getExamOrderName());
        data.setPartCode(entity.getExamItems());
        data.setPartName(entity.getExamItemClassName());
        return data;
    }


    public static LaboratoryProjectBO getLaboratoryProjectBO(ApplyLabOrderHBO entity){
        LaboratoryProjectBO data=new LaboratoryProjectBO();
        data.setCode(entity.getItemCode());
        data.setName(entity.getItemName());
        return data;
    }


    public static void main(String[] args) {

//        ListUtil.split()

//        List<List<Object>> lists = ListUtil.split(Arrays.asList(1, 2, 3, 4,5,6,7,8,9,10), 7);
//
//        lists.forEach(item->{
//            System.out.println(CollUtil.join(item,","));
//        });

        //List<List<Object>> lists = ListUtil.split(null, 3);
//        System.out.println(SecureUtil.md5("123456"));



    }




}
