package com.xxh.cloud.sync.framework.modules.biz.utils;

import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.etl.common.framework.constant.SyncDataKeyEnum;
import com.xxh.cloud.etl.common.framework.modules.write.bean.bos.HwdsWriteConfigBean;
import com.xxh.cloud.etl.common.framework.utils.HospitalSyncDateUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

@Deprecated
@Getter
@Setter
public class HwdsWriteConfigHelpBean {


    private String key;

    private String dbUrl;

    private String dbUserName;

    private String dbUserPassword;

    private String table;

    private Map<String,String> mapping;

    public HwdsWriteConfigHelpBean(){

    }

    public HwdsWriteConfigHelpBean(String key,String dbUrl, String dbUserName,String dbUserPassword,String table,Map<String,String> mapping){
        this.key=key;
        this.dbUrl=dbUrl;
        this.dbUserName=dbUserName;
        this.dbUserPassword=dbUserPassword;
        this.table=table;
        this.mapping=mapping;
    }


    public static void main(String[] args) {

        String dbType="a";
        String dbUrl="a";
        String dbUserName="a";
        String dbUserPassword="a" ;
        String mqType ="a";
        String mqTopic=null;



            List<HwdsWriteDBConfigBean> dbConfigs=new ArrayList<>();
            //ods
            Map<String,String> map=new LinkedHashMap<>();
            map.put("id","visitId");//住院流水号
            map.put("in_patient_no","inPatientNo");//住院号
            map.put("patient_id","patientId");//患者编号
            map.put("patient_name","patientName");//患者名称
            map.put("patient_id_no","idCardNo");//身份证号

            map.put("company_code","companyNo");//医院编号
            map.put("company_name","companyName");//医院名称

            map.put("admit_department_name","departmentName");//住院科室名称
            map.put("admit_department_code","departmentCode");//住院科室编码

            map.put("inpatient_ward_code","inPatientWardCode");// 病区编号
            map.put("inpatient_ward_name","inPatientWardName");//病区名称
            map.put("bed_number","bedNo");//床号

            map.put("inpatient_date","date");//入院时间
            map.put("status","state");//住院状态

            map.put("doctor_code","doctorCode");//医生编号
            map.put("doctor_name","doctorName");//医生姓名

            map.put("inpatient_type","type");//类型

            map.put("data_update_date","updateTime");
            map.put("op_data_user", SyncDataKeyEnum.SDKCV_UserNow.getCode());
            map.put("op_update_data",SyncDataKeyEnum.SDKCV_DateNow.getCode());
            dbConfigs.add(new HwdsWriteDBConfigBean("ods_inpatient_record_info",dbUrl,dbUserName,dbUserPassword,"ods_inpatient_record_info",map));
            //HwdsWriteConfigBean config =  HospitalSyncDateUtils.getHwdsWriteConfigBean(dbType,dbUrl,dbUserName,dbUserPassword,mqType,mqTopic,"ods_inpatient_record_info",map);


            //dwd
            Map<String,String> map2=new LinkedHashMap<>();
            map2.put("patient_id", "patientId");
            map2.put("id", "visitId");
            map2.put("visit_id", "visitId");
            map2.put("in_patient_no", "inPatientNo");
            map2.put("patient_name", "patientName");

            map2.put("company_code", "companyNo");
            map2.put("company_name", "companyName");

            map2.put("admit_department_name_raw", "departmentName");
            map2.put("admit_department_name_standard", "departmentName");
            map2.put("admit_department_code_raw", "departmentCode");
            map2.put("admit_department_code_standard", "departmentCode");

            map2.put("inpatient_date", "date");
            map2.put("inpatient_ward", "inPatientWardCode");
            map2.put("bed_number", "bedNo");
            map2.put("enter_way_raw", "type");
            map2.put("status_raw","state");

            map2.put("doctor_code","doctorCode");
            map2.put("doctor_name","doctorName");

            map2.put("data_update_date", "updateTime");
            map2.put("op_date", SyncDataKeyEnum.SDKCV_DateNow.getCode());
            map2.put("op_data_user", SyncDataKeyEnum.SDKCV_UserNow.getCode());

            dbConfigs.add(new HwdsWriteDBConfigBean("dwd_inpatient_record_info",dbUrl,dbUserName,dbUserPassword,"dwd_inpatient_record_info",map2));

            HwdsWriteConfigBean config = HospitalSyncDateUtils.getHwdsWriteConfigBean(dbType,mqType,mqTopic,dbConfigs);

//            return config;
//        }


        System.out.println(JSON.toJSON(config));




    }

}
