package com.xxh.cloud.sync.framework.modules.config.service;

import com.xxh.cloud.sync.framework.constant.SyncApiTypeEnum;
import com.xxh.cloud.etl.common.framework.constant.SyncConfigTypeEnum;
import com.xxh.cloud.sync.framework.modules.base.entity.DataSyncFlagInfo;
import com.xxh.cloud.sync.framework.modules.config.bean.dto.DataSyncFlagUpdateDTO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncFlagStartEndVO;
import com.xxh.cloud.sync.framework.modules.config.bean.vos.DataSyncFlagVO;

public interface DataSyncFlagBizService {


    public DataSyncFlagVO getByCode(String code);

    public DataSyncFlagInfo getEntityByCode(String code);

    public DataSyncFlagStartEndVO getStartEndDate(String code);

    public void update(DataSyncFlagUpdateDTO params);

    public void update(String code,String flag);


    public DataSyncFlagInfo initData(SyncApiTypeEnum type, SyncConfigTypeEnum dbType, String dbUrl, String dbUserName, String dbUserPassword , String mqType , String mqTopic);

}
