package com.xxh.cloud.sync.framework.modules.read.api.bean.xd;


import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class XDExamineApply {


    /**
     * 申请单号
     * */
    private String appliNo;

    /**
     * 申请单主键
     * */
    private String applyId;

    /**
     * 患者id
     * */
    private String patientId;

    /**
     * 申请科室
     * */
    private String departmentCode;

    /**
     * 申请医生代码
     * */
    private String doctorCode;

    /**
     * 申请科室
     * */
    private String departmentName;

    /**
     * 申请医生代码
     * */
    private String doctorName;

    /**
     * 申请时间
     * */
    private String applyDate;

    /**
     * 申请项目id
     * */
    private String examItemId;

    /**
     * 申请项目套餐id
     * */
    private String examGroupId;

    /**
     * 病区
     * */
    private String ward;

    /**
     * 状态
     * */
    private String status;

    /**
     * 医疗机构id
     * */
    private String medicalOrgId;

    /**
     * 检查科室代码
     * */
    private String sampleDept;

    /**
     * 诊疗科室代码
     * */
    private String diagnosisDept;

    /**
     * 患者类型
     * */
    private String patientType;

    /**
     * 登记时间
     * */
    private Date registerTime;

    /**
     * 预约时间
     * */
    private Date appointTime;

    /**
     * 门诊号住院号体检号
     * */
    private String visitId;

    /**
     * 优先级
     * */
    private String priority;

    /**
     * 是否有效
     * */
    private String isValid;

    /**
     * 申请单来源
     * */
    private String appliSource;

    /**
     * 申请单状态
     * */
    private String operationState;

    /**
     * 时间戳
     * */
    private String timeStamp;








}
