package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.LaboratoryReportsItemHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 检验报告单数据同步
 * */

@Getter
@Setter
public class LaboratoryReportHBO {



    /**
     * 关联用id [主键]
     * */
    private String id;

    /**
     * 申请单ID
     * */
    private String applyId;


    /**
     * 住院流水号 或 门诊就诊流水号 （不是挂号流水号）
     * */
    private String opid;


    /**
     * 就诊记录号 【门诊： 挂号流水号 ，住院：住院流水号】？？
     * */
    private String visitId;

    /**
     * 项目名称
     * */
    private String itemName;
    /**
     * 患者类型
     * */
    private String patientType;


    /**
     * 关联处方id
     * */
    private String recipeId;

    /**
     * 住院号
     * */
    private String inPatientNo;

    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     * 申请科室姓名
     * */
    private String departmentName;

    /**
     * 申请科室编码
     * */
    private String departmentCode;

    /**
     * 申请时间
     * */
    private Date applyTime;

    /**
     * 采样时间
     * */
    private Date inspectTime;

    /**
     * 报告时间
     * */
    private Date reportsTime;

    /**
     * 复核时间
     * */
    private Date checkTime;

    /**
     * 类型
     * */
    private String type;

    /**
     * 申请医生编号
     * */
    private String applyDoctorCode;

    /**
     * 申请医生姓名
     * */
    private String applyDoctorName;

    /**
     * 样本类别
     * */
    private String sampleType;

    /**
     * 状态
     * */
    private String status;

    /**
     *
     * */
    private Date updateTime;

    /**
     *
     * */
    private List<LaboratoryReportsItemHBO> reportItems;



    /**
     *
     * */
    private String testDate;

    /**
     *
     * */
    private String machineId;

    /**
     *
     * */
    private String sampleId;

    /**
     *
     * */
    private String barcode;

}
