package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 收费信息同步
 * */

@Getter
@Setter
public class PatientPriceHBO {



    /**
     * 就诊记录号
     * */
    private String visitId;

    /**
     * 患者编号
     * */
    private String patientId;


    /**
     * 患者姓名
     * */
    private String patientName;


    /**
     * 收费时间
     * */
    private Date payDateTime;


    /**
     * 收费项目代码
     * */
    private String itemCode;


    /**
     * 收费项目名称
     * */
    private String itemName;


    /**
     * 科室编码
     * */
    private String departmentCode;


    /**
     * 科室名称
     * */
    private String departmentName;


    /**
     * 总花费
     * */
    private String totCost;


    /**
     *  1.门诊 2.急诊 4.住院
     * */
    private String type;


    /**
     * 状态
     * */
    private String status;



    /**
     *
     * */
    private Date updateTime;



}
