package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 预约住院信息记录
 * */
@Getter
@Setter
public class RecipeInpatientHBO {


    /**
     * 主键
     * */
    private String id;

    /**
     *
     * */
    private String opid;

    /**
     * 住院流水号
     * */
    private String ipid;

    /**
     * 挂号流水号
     * */
    private String visitId;


    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者名称
     * */
    private String patientName;


    /**
     * 入院科室名称
     * */
    private String  admitDepartmentName;

    /**
     * 入院科室编码
     * */
    private String admitDepartmentCode;

    /**
     * 申请时间
     * */
    private Date applyDate;

    /**
     * 预约时间
     * */
    private Date bookDate;

    /**
     * 医生编号
     * */
    private String  doctorCode;

    /**
     * 医生姓名
     * */
    private String  doctorName;

    /**
     * 预约状态
     * */
    private String  status;


    /**
     * 预约状态描述
     * */
    private String  statusName;

    /**
     * 更新时间
     * */
    private Date updateTime;

}
