package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

/**
 * 医嘱数据
 * */
@Getter
@Setter
public class RecipeItemsHBO {


    /**
     * 部门编号
     * */
    private String departmentCode;

    /**
     * 部门名称
     * */
    private String departmentName;

    /**
     * 状态编号
     * */
    private String status;

    /**
     * 状态名称
     * */
    private String statusName;

    /**
     * 费用状态
     * */
    private String feeStatus;


    /**
     *  医嘱流水号
     * */
    private String orderSn;

    /**
     *  1.门诊 2，急诊 4.住院
     * */
    private String patientType;

    /**
     * 主医嘱流水号
     * */
    private String parentOrderSn;

    /**
     * 医嘱类型
     * xy-西药；zcy-中成药；cy-草药；cytc-草药套餐
     * */
    private String orderType;

    /**
     * 医嘱代码
     * */
    private String code;

    /**
     *医嘱内容
     * */
    private String name;

    /**
     *
     * */
    private String updateTimeStr;

    /**
     * 患者ID
     * */
    private String opid;


}
