package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.MedicineOrderHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 医嘱用药数据同步
 * */

@Getter
@Setter
public class RecipeMedicineHBO {



    /**
     * 主键 （住院号，就诊记录号）
     * */
    private String opid;



    /**
     *  就诊记录号 （住院号，挂号号）
     * */
    private String visitId;


    /**
     *
     * */
    private String patientType;

    /**
     * 住院号
     * */
    private String inPatientNo;


    /**
     * 患者编号
     * */
    private String patientid;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     *
     * */
    private List<MedicineOrderHBO> orderList;

    /**
     *
     * */
    private List<DiagnosisReportHBO> diagnoseList;


    /**
     *
     * */
    private Date updateTime;



}
