package com.xxh.cloud.sync.framework.modules.read.api.resp;

import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.DiagnosisReportHBO;
import com.xxh.cloud.sync.framework.modules.read.api.resp.bo1.TherapyOrderHBO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 医嘱治疗数据同步
 * */
@Getter
@Setter
public class RecipeTherapyHBO {


    /**
     * 父处方号 【主键】(住院号 就诊号)
     * */
    private String opid;

    /**
     *  就诊记录号 (住院号 挂号号)
     * */
    private String visitId;


    /**
     *
     * */
    private String patientType;


    /**
     * 住院流水号
     * */
    private String inPatientNo;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     *
     * */
    private String patientId;


    private List<TherapyOrderHBO> orderList;

    private List<DiagnosisReportHBO> diagnoseList;

}
