package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 门诊 挂号记录表
 */
@Getter
@Setter
public class RegisterRecordsHBO {


    /**
     * 挂号流水号:门诊号/发票号
     */
    private String visitId;


    /**
     * 交易类型:1.收费；2.退费
     */
    private String transType;

    /**
     * 身份证号
     */
    private String idCardNo;

    /**
     * 门诊卡号:就诊卡号
     */
    private String patientId;

    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 患者类型：1.门诊；2，急诊
     */
    private String patientType;


    /**
     * 医院编号
     */
    private String companyNo;

    /**
     * 医院名称
     */
    private String companyName;

    /**
     * 科室代码
     */
    private String departmentCode;

    /**
     * 科室名称
     */
    private String departmentName;

    /**
     * 挂号级别
     */
    private String regLevelCode;

    /**
     * 挂号级别名称
     */
    private String regLevelName;


    /**
     * 看诊序号
     */
    private int seeOrder;

    /**
     * 0:现场挂号；1：预约挂号；2.特诊挂号
     */
    private String ynBook;

    /**
     * 1.初诊；2.复诊
     */
    private String type;


    /**
     * 是否看诊:1.是；2.否
     */
    private String ynSee;


    /**
     * 看诊时间
     */
    private Date date;

    /**
     * 挂号时间
     */
    private Date registerTime;


    /**
     * 医师编号
     */
    private String doctorCode;

    /**
     * 医师姓名
     */
    private String doctorName;


    /**
     * 住院流水号 或 门(急)诊就诊流水号
     * */
    private String opid;


    /**
     *
     */
    private Date updateTime;


}
