package com.xxh.cloud.sync.framework.modules.read.api.resp.bo1;

import lombok.Getter;
import lombok.Setter;

/**
 * 检查医嘱明细表
 */
@Getter
@Setter
public class ApplyCheckOrderHBO {


    /**
     * 申请单号
     */
    private String applyId;
    /**
     * 医嘱流水号
     */
    private String recipeId;
    /**
     * 患者编号
     */
    private String patientId;
    /**
     * 检查类型
     */
    private String examName;
    /**
     * 项目代码
     */
    private String examOrderCode;
    /**
     * 项目名称
     */
    private String examOrderName;
    /**
     * 门诊:挂号流水号;住院:住院流水号
     */
    private String visitId;
    /**
     * 检查部位类型名称
     */
    private String examItemClassName;
    /**
     * 检查部位
     */
    private String examItems;


}
