package com.xxh.cloud.sync.framework.modules.read.api.resp.bo1;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 治疗相关医嘱
 */
@Getter
@Setter
public class TherapyOrderHBO {



    /**
     * 医嘱处方号 【主键】
     */
    private String orderSn;


    /**
     * 就诊记录号
     */
    private String visitId;

    /**
     *
     */
    private String opid;

    /**
     * 父处方号:可通过此字段关联分组
     */
    private String parentOrderSn;




    /**
     * 住院流水号
     */
    private String inPatientNo;


    /**
     * 患者姓名
     */
    private String patientName;

    /**
     * 申请科室代码
     */
    private String departmentCode;

    /**
     * 申请科室名称
     */
    private String departmentName;


    /**
     * 时间
     */
    private Date payTime;


    /**
     * 处方时间
     */
    private Date recipeTime;


    /**
     * 申请医生编号
     */
    private String doctorCode;


    /**
     * 申请医生姓名
     */
    private String doctorName;

    /**
     * 项目代码
     */
    private String itemCode;


    /**
     * 项目名称
     */
    private String itemName;


    /**
     * 申请状态
     */
    private String orderStatus;


}
