package com.xxh.cloud.etl.common.framework.constant;

public enum PatientEventType {

    EveClinic("eve_clinic","候诊"), //todo:
    EveConDrug("eve_con_drug","续方"), //todo:
    EveConsultation("eve_consultation","会诊"), //todo:
    EveDiag("eve_diag","诊断"),
    EveDischarge("eve_discharge","出院"),
    EveDrug("eve_drug","取药"),
    EveExaLab("eve_exa_lab","检查检验"), //检查检验申请
    EveFollowUp("eve_follow_up","随访"), //todo:
    EveInpExaLab("eve_inp_exa_lab","术前检查检验"), //检查检验申请
    EveInpatient("eve_inpatient","住院"),
    EveInpatientReserve("eve_inpatient_reserve","住院预约"),
    EveOperation("eve_operation","手术"), //手术申请
    EveRegister("eve_register","挂号"),
    EveTherapy("eve_therapy","治疗"),
    EveVisit("eve_visit","就诊"),

    ;

    private String code;
    private String name;

    private PatientEventType() {
    }
    PatientEventType(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
