package com.xxh.cloud.etl.common.framework.constant;

public enum SyncConfigTypeEnum {


    SCT_None("none","无"),
    SCT_Mysql("mysql","mysql"),
    SCT_Doris("doris","doris"),
    SCT_Kafka("kafka","kafka"),

    ;

    private String code;
    private String name;

    private SyncConfigTypeEnum() {
    }

    SyncConfigTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
