package com.xxh.cloud.etl.common.framework.constant;

public enum SyncDataKeyEnum {


    SDKCV_UUID("CV_UUID","UUID"),
    SDKCV_DateNow("CV_DateNow","当前时间"),
    SDKCV_UserNow("CV_UserNow","当前用户"),
    SDKCV_SyncFlag("CV_SyncFlag","同步标记"),
    SDKCV_DEF("CV_DEF__","默认值"),
    ;

    private String code;
    private String name;

    private SyncDataKeyEnum() {
    }

    SyncDataKeyEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
