package com.xxh.cloud.etl.client.api.bean.bos;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class DataCleanConfigBO {

    /**
     *
     * */
    private String code;

    /**
     *
     * */
    private String name;

    /**
     * DataCleanStandardEnum
     * */
    private String type;


    /**
     *
     * */
    private List<DataCleanConfigDetailBO> details;

    public DataCleanConfigBO(String code,String name,String type){
        this.code=code;
        this.name=name;
        this.type=type;
    }


    public DataCleanConfigBO(){

    }

    public void addDetail(DataCleanConfigDetailBO item){
        if(this.details==null){
            this.details=new ArrayList<>();
        }
        if(item==null){
            return;
        }
        this.details.add(item);
        if(StrUtil.isEmpty(this.code)){
            this.code=item.getDataCleanCode();
        }
    }




}
