package com.xxh.cloud.etl.client.api.bean.bos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataCleanConfigDetailBO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "数据清洗编号")
    private String dataCleanCode;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "原始数据(说明)")
    private String sourceName;


    @ApiModelProperty(value = "原始数据(值)")
    private String sourceCode;



    @ApiModelProperty(value = "对应标准数据名称")
    private String standardName;


    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;


    //扩展属性
    @ApiModelProperty(value = "关键字脚本")
    private String keywordsScript;



//    @ApiModelProperty(value = "结果数据类型[枚举]")
//    private String resultDataType;

    @ApiModelProperty(value = "结果类型[枚举]")
    private String resultType;

    @ApiModelProperty(value = "样本类型")
    private String sampleType;


}
