package com.xxh.cloud.etl.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class DataCleanConfigDetailPageDTO extends BasePageDTO {

    @ApiModelProperty(value = "数据清洗规则编号" ,required = true)
    @NotEmpty(message = "数据清洗规则编号不能为空")
    private String dataCleanCode;

    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "处理状态")
    private String status;


    @ApiModelProperty(value = "原始数据")
    private String sourceName;




    @ApiModelProperty(value = "对应标准数据名称")
    private String standardName;


    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;



}
