package com.xxh.cloud.etl.framework.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class DataCleanConfigDetailProcessDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "对应标准分类",required = true)
    @NotEmpty(message = "不能为空")
    private String standardType;


    @ApiModelProperty(value = "对应标准数据名称",required = true)
    @NotEmpty(message = "不能为空")
    private String standardName;

    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;

    @ApiModelProperty(value = "备注")
    private String remark;


}
