package com.xxh.cloud.etl.framework.modules.biz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Getter
@Setter
public class DataCleanConfigDetailUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "原始数据")
    private String sourceName;

    @ApiModelProperty(value = "原始数据")
    private String sourceCode;


    @ApiModelProperty(value = "对应标准数据名称",required = true)
    @NotEmpty(message = "不能为空")
    private String standardName;

    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;


    @ApiModelProperty(value = "备注")
    private String remark;




}
