package com.xxh.cloud.etl.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataCleanConfigDetailVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "数据清洗编号")
    private String dataCleanCode;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "原始数据")
    private String sourceName;

    @ApiModelProperty(value = "原始数据")
    private String sourceCode;

    @ApiModelProperty(value = "对应标准数据名称")
    private String standardName;


    @ApiModelProperty(value = "对应标准数据编号")
    private String standardCode;

    @ApiModelProperty(value = "处理状态")
    private String status;


    @ApiModelProperty(value = "处理时间")
    private Date handleDate;


    @ApiModelProperty(value = "备注")
    private String remark;


}
