package com.xxh.cloud.etl.framework.modules.biz.convert;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.IdUtil;
import com.xxh.cloud.etl.framework.modules.base.entity.EtlDataCleanConfigItemInfo;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.DataCleanConfigDetailSaveDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.vos.DataCleanConfigDetailVO;
import com.xxh.cloud.framework.common.constant.YN;

import java.util.Date;


public class DataCleanConfigDetailConvert {

    public static DataCleanConfigDetailVO getDataCleanConfigDetailVO(EtlDataCleanConfigItemInfo entity){
        DataCleanConfigDetailVO data=new DataCleanConfigDetailVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }






    public static EtlDataCleanConfigItemInfo getEtlDataCleanConfigItemInfo_Add(DataCleanConfigDetailSaveDTO params){
        EtlDataCleanConfigItemInfo data=new EtlDataCleanConfigItemInfo();
        data.setId(IdUtil.getSnowflake(8,1).nextIdStr());
        data.setDataCleanCode(params.getDataCleanCode());
        data.setProjectCode(params.getProjectCode());
        data.setSourceName(params.getSourceName());
        data.setSourceCode(params.getSourceCode());
        data.setStandardName(params.getStandardName());
        data.setStandardCode(params.getStandardCode());
        data.setStatus(YN.YES.getCode());
        data.setHandleDate(new Date());
        data.setRemark(params.getRemark());
        data.setRowsStatus(YN.YES.getCode());
        return data;
    }


//
//
//    public static DataCleanConfigDetailVO getEtlDataCleanConfigItemVO(EtlDataCleanConfigItemInfo entity){
//        DataCleanConfigDetailVO data=new DataCleanConfigDetailVO();
//
//        return data;
//    }





}
