package com.xxh.cloud.etl.framework.modules.biz.service;

import com.xxh.cloud.etl.framework.modules.biz.bean.dto.ConfigDataCleanListDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.ConfigDataCleanQueryDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.ConfigDataCleanSaveDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.ConfigDataCleanUpdateDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.vos.DataCleanConfigVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

public interface DataCleanConfigBizService {


    public PageData<DataCleanConfigVO> query(ConfigDataCleanQueryDTO params);

    public List<DataCleanConfigVO> list(ConfigDataCleanListDTO params);

    public DataCleanConfigVO save(ConfigDataCleanSaveDTO params);

    public DataCleanConfigVO update(ConfigDataCleanUpdateDTO params);

    public void delById(String id);

    public DataCleanConfigVO getById(String id);




}
