package com.xxh.cloud.etl.framework.modules.biz.service.impl;

import com.xxh.cloud.etl.framework.modules.base.service.EtlTableCleanConfigInfoService;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.TableCleanConfigListDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.TableCleanConfigSaveBatchDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.TableCleanConfigSaveDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.dto.TableCleanConfigUpdateDTO;
import com.xxh.cloud.etl.framework.modules.biz.bean.vos.TableCleanConfigVO;
import com.xxh.cloud.etl.framework.modules.biz.convert.TableCleanConfigConvert;
import com.xxh.cloud.etl.framework.modules.biz.service.TableCleanConfigBizService;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TableCleanConfigBizServiceImpl implements TableCleanConfigBizService {

    @Autowired
    private EtlTableCleanConfigInfoService etlTableCleanConfigInfoService;

    @Override
    public List<TableCleanConfigVO> list(TableCleanConfigListDTO params) {
        ValidatorUtils.validateEntity(params);
//        List<EtlDataCleanTableMetaRelInfo> list= etlTableColumnMetaInfoService.list(
//                new QueryWrapper<EtlDataCleanTableMetaRelInfo>()
//                        .eq(StrUtil.isNotEmpty(params.getProjectCode()),"project_code",params.getProjectCode())
//                        .eq(StrUtil.isNotEmpty(params.getTableCode()),"table_code",params.getTableCode())
//                        .eq(StrUtil.isNotEmpty(params.getColumnCode()),"column_code",params.getColumnCode())
//                        .eq(StrUtil.isNotEmpty(params.getDataCleanCode()),"data_clean_code",params.getDataCleanCode())
//        );
//
//
//        List<DataCleanTableMetaRelVO> data=new ArrayList<>();
//        if(CollUtil.isNotEmpty(list)){
//            list.forEach(item->{
//                data.add(EtlDataCleanTableMetaRelConvert.getEtlDataKeyTableMetaRelVO(item));
//            });
//        }
//        return data;

        return null;

    }

    @Override
    public TableCleanConfigVO save(TableCleanConfigSaveDTO params) {
        ValidatorUtils.validateEntity(params);
//        EtlDataCleanTableMetaRelInfo entity=new EtlDataCleanTableMetaRelInfo();
//        entity.setProjectCode(params.getProjectCode());
//        entity.setTableCode(params.getTableCode());
//        entity.setColumnCode(params.getColumnCode());
////        entity.setDataKey(params.getDataKey());
//        etlDataCleanTableMetaRelInfoService.save(entity);
//        return EtlDataCleanTableMetaRelConvert.getEtlDataKeyTableMetaRelVO(entity);
        return null;
    }

    @Override
    public void saveBatch(TableCleanConfigSaveBatchDTO params) {

    }

    @Override
    public TableCleanConfigVO update(TableCleanConfigUpdateDTO params) {
        ValidatorUtils.validateEntity(params);
//        EtlDataCleanTableMetaRelInfo entity=etlDataCleanTableMetaRelInfoService.getById(params.getId());
//        if(entity==null){
//            throw new BusinessException(BusinessBaseErrorEnum.DB_RECORD_NOT_EXISTS);
//        }
        //todo:
        return null;
    }

    @Override
    public void delById(String id) {
        if(id==null){
            throw new BusinessException(BusinessBaseErrorEnum.PARAMS_GET_ERROR,"ID不能为空");
        }

    }

    @Override
    public TableCleanConfigVO getById(String id) {
        if(id==null){
            throw new BusinessException(BusinessBaseErrorEnum.PARAMS_GET_ERROR,"ID不能为空");
        }
//        EtlDataKeyTableMetaRelInfo entity=etlDataKeyTableMetaRelInfoService.getById(id);
//        if(entity==null){
//            throw new BusinessException(BusinessBaseErrorEnum.DB_RECORD_NOT_EXISTS);
//        }
        return TableCleanConfigConvert.getTableColumnMetaVO(null);
    }
}
