package com.xxh.cloud.etl.config;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
//@EnableScheduling
public class EtlConfigRunApp {

    public static void main(String[] args) {
        SpringApplication.run(EtlConfigRunApp.class, args);
    }


}
