package com.xxh.cloud.data.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class DwTableDataQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableId;

    @ApiModelProperty(value = "条件")
    private List<DwTableDataCondtionDTO> condtions;

    @ApiModelProperty(value = "排序")
    private List<DwTableDataOrderByDTO> orderBys;


}
