package com.xxh.cloud.exeEtl.framework.lab.range.handle;

import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeStrategyAbstract;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigBO;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.math.BigDecimal;
import java.util.List;

/**
 * >5.0E+001
 * */
public class LabStrategyHandleEGt extends LabRangeStrategyAbstract {

    public LabStrategyHandleEGt(String text , List<String> vals){
        super(text,vals);
    }

//    @Override
//    public LabRangeConfigBO process() {
//        System.out.println("--------------------- "+this.getClass().getName());
//        this.toStr();
//        return null;
//    }

    @Override
    public LabRangeConfigNumBO handle(String val) {

        if(StrUtil.isEmpty(val)){
            return null;
        }
        String[] strs = val.split(">");
        if(ArrayUtil.isEmpty(strs)){
            return null;
        }
        if(strs.length!=2){
            return null;
        }

        //
        String rstr2 = strs[1];
        if(StrUtil.isEmpty(rstr2)){
            return null;
        }
        String rstr =rstr2.trim();

        LabRangeConfigNumBO data=new LabRangeConfigNumBO(val);
        data.setLval(new BigDecimal(rstr).doubleValue());
        return data;

    }
}
