package com.xxh.cloud.exeEtl.framework.lab.range.handle;

import cn.hutool.core.util.ArrayUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.api.LabRangeStrategyAbstract;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigNumBO;

import java.math.BigDecimal;
import java.util.List;

/**
 * >4.2
 * */
public class LabStrategyRangeGt extends LabRangeStrategyAbstract {


    public LabStrategyRangeGt(String text , List<String> vals){
        super(text,vals);
    }

    @Override
    public LabRangeConfigNumBO handle(String val) {
        if(StrUtil.isEmpty(val)){
            return null;
        }
        String[] strs = val.split(">");
        if(ArrayUtil.isEmpty(strs)){
            return null;
        }
        if(strs.length!=2){
            return null;
        }

        //
        String lstr2 = strs[1];
        if(StrUtil.isEmpty(lstr2)){
            return null;
        }
        String lstr = lstr2.replace(" ", "");

        LabRangeConfigNumBO data=new LabRangeConfigNumBO(val);
        data.setLval(new BigDecimal(lstr).doubleValue());
        return data;
    }


}
