package com.xxh.cloud.exeEtl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据清洗错误日志
 * </p>
 *
 * @author anros
 * @since 2023-11-10
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("bwd_data_clean_error_log_info")
public class DataCleanErrorLogInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 实体名称
     */
     @ApiModelProperty(value = "实体名称")
      private String name;

    /**
     * 实体字段
     */
     @ApiModelProperty(value = "实体字段")
      private String prop;

    /**
     * 规则编号
     */
     @ApiModelProperty(value = "规则编号")
      private String ruleCode;

    /**
     * 规则名称
     */
     @ApiModelProperty(value = "规则名称")
      private String ruleName;


    @ApiModelProperty(value = "对象内容")
     private String objContent;

    /**
     * 错误信息
     */
     @ApiModelProperty(value = "错误信息")
      private String errorInfo;

    /**
     * 处理状态
     */
     @ApiModelProperty(value = "处理状态")
      private String status;

    /**
     * 更新者
     */
     @ApiModelProperty(value = "更新者")
      private String opUser;

    /**
     * 更新时间
     */
     @ApiModelProperty(value = "更新时间")
      private Date opDate;


}
