package com.xxh.cloud.exeEtl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据清洗标记信息表
 * </p>
 *
 * @author anros
 * @since 2023-11-10
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("bwd_data_clean_flag_info")
public class DataCleanFlagInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 时间戳
     */
     @ApiModelProperty(value = "时间戳")
      private String flag;

    /**
     * 更新者
     */
     @ApiModelProperty(value = "更新者")
      private String opUser;

    /**
     * 更新时间
     */
     @ApiModelProperty(value = "更新时间")
      private Date opDate;


}
