package com.xxh.cloud.exeEtl.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据清洗手动执行任务表
 * </p>
 *
 * @author anros
 * @since 2023-11-10
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("bwd_data_clean_user_task_info")
public class DataCleanUserTaskInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 规则编号
     */
     @ApiModelProperty(value = "规则编号")
      private String ruleCode;

    /**
     * 规则名称
     */
     @ApiModelProperty(value = "规则名称")
      private String ruleName;

    /**
     * 执行状态
     */
     @ApiModelProperty(value = "执行状态")
      private String exeStatus;

    /**
     * 开始执行时间
     */
     @ApiModelProperty(value = "开始执行时间")
      private Date exeStartDt;

    /**
     * 截止执行时间
     */
     @ApiModelProperty(value = "截止执行时间")
      private Date exeEndDt;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;

    /**
     * 创建者
     */
     @ApiModelProperty(value = "创建者")
      private String creator;

    /**
     * 创建时间
     */
     @ApiModelProperty(value = "创建时间")
      private Date createDate;

    /**
     * 更新者
     */
     @ApiModelProperty(value = "更新者")
      private String updater;

    /**
     * 更新时间
     */
     @ApiModelProperty(value = "更新时间")
      private Date updateDate;


}
