package com.xxh.cloud.exeEtl.framework.modules.biz.service;

import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanLogAddDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.dto.DataCleanLogQueryDTO;
import com.xxh.cloud.exeEtl.framework.modules.biz.bean.vos.DataCleanLogVO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.ExeDataCleanLogAddDTO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;
import java.util.Map;

public interface DataCleanLogBizService {

    public PageData<DataCleanLogVO> query(DataCleanLogQueryDTO params);

    public void add(DataCleanLogAddDTO params);

    public void saveBatch(List<ExeDataCleanLogAddDTO> params);

    public void saveBatch(Map<String, ExeDataCleanLogAddDTO> params);

    public DataCleanLogVO getById(String id);

}
