package com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto;

import cn.hutool.core.date.DateUtil;

import java.util.Date;

public class DataCleanDateTimeUtils {


    public static Date toDate(String dateStr){


        Date date=null;
        date=parse(dateStr,"yyyy-MM-dd HH:mm:ss");
        if(date!=null){
           return date;
        }

        date=parse(dateStr,"yyyy-MM-dd HH:mm:ss.SSS");
        if(date!=null){
            return date;
        }

        date=parse(dateStr,"yyy-MM-dd");
        if(date!=null){
            return date;
        }

        date=parse(dateStr,"yyyyMMddHHmmss");
        if(date!=null){
            return date;
        }

        date=parse(dateStr,"yyyyMMddHHmmssSSS");
        if(date!=null){
            return date;
        }

        date=parse(dateStr,"yyyMMdd");
        if(date!=null){
            return date;
        }



        return null;
    }


    public static Date parse(String dateStr ,String format){
        try {
            Date date= DateUtil.parse(dateStr,format);
            return date;
        }catch (Exception e){
            e.printStackTrace();
            return null;
        }

    }



}
