package com.xxh.cloud.exeEtl.framework.modules.clean.http;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.exeEtl.framework.modules.clean.http.bean.OutContentBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.http.bean.OutContentV5BO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

public class OutContentHttpUtils {



    private static final Logger logger = LoggerFactory.getLogger(OutContentHttpUtils.class);



    /**
     * 5.0新版本的解密
     * */
    public static OutContentV5BO getOutContent_V5(String sn , String content){
        String url="http://172.17.111.38:8888/api/xmlParse/htEmrAnalysis";
        String result =OutContentHttpUtils.getHttp_V5(url,sn,content);
        if(StrUtil.isEmpty(result)){
            return null;
        }
        return JSON.parseObject(result,OutContentV5BO.class);
    }

    /**
     * v5
     * */
    public static String getHttp_V5(String url ,String sn , String content){
        Map<String, String> params = new HashMap<>();
        //params.put("sn",sn);
        params.put("xml",content);
        try {
            String result = HttpUtil.post(url, JSON.toJSONString(params), 1000 * 60);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }




    /**
     * todo:
     * 5.0 以前的系统中
     * */
    public static OutContentBO getDoctorAdvice(String content){
        String url="http://172.17.100.39:1003/api/service/HtEmrAnalysis";
        String result =OutContentHttpUtils.getHttp(url,content);
        if(StrUtil.isEmpty(result)){
            return null;
        }
        return JSON.parseObject(result,OutContentBO.class);
    }


    /**
     * todo:
     * 5.0 以前的系统中
     * */
    public static String getHttp(String url,String content) {
        Map<String, String> params = new HashMap<>();
        params.put("xml",content);
        try {
            String result = HttpUtil.post(url, JSON.toJSONString(params), 1000 * 60);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }


}
