package com.xxh.cloud.exeEtl.framework.modules.clean.labReportUtils;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.exeEtl.framework.lab.range.bean.LabRangeConfigBO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Deprecated
@Getter
@Setter
public class IntervalValueBean {

    /**
     * 原始内容
     * */
    private String sourceName;


    /**
     * 名称
     * */
    private String name;


    /**
     * 值
     * */
    private String val;


    /**
     * 左标题
     * */
    private String ln;

    /**
     *  左值
     * */
    private String lv;

    /**
     * 左值【等于】
     * */
    private String lev;

    /**
     * 右标题
     * */
    private String rn;

    /**
     * 右值
     * */
    private String rv;

    /**
     * 右值【等于】
     * */
    private String rev;


    public IntervalValueBean(String name){
        this.name=name;
    }

    public IntervalValueBean(){

    }


//    public static SoftMaxValue2Bean change(LabRangeConfigBO labRangeConfig){
//        SoftMaxValue2Bean data=new SoftMaxValue2Bean();
//
//
//
//
//
//        return data;
//    }

    /**
     * 交换
     * */
    public static SoftMaxValue2Bean change(IntervalValueBean ivb){

        SoftMaxValue2Bean data=new SoftMaxValue2Bean();
        data.setSource(ivb.getSourceName());

        boolean lef=true; //是否包含=
        BigDecimal lval=null;

        if(StrUtil.isNotEmpty(ivb.getLev())){
            if(NumberUtil.isNumber(ivb.getLev().trim())){
                lval= Convert.toBigDecimal(ivb.getLev().trim());
                lef=true;
            }

        }else if(StrUtil.isNotEmpty(ivb.getLv())){
            if(NumberUtil.isNumber(ivb.getLv().trim())){
                lval= Convert.toBigDecimal(ivb.getLv().trim());
                lef=false;
            }
        }

        boolean ref=true; //是否包含=
        BigDecimal rval=null;
        if(StrUtil.isNotEmpty(ivb.getRev())){
            if(NumberUtil.isNumber(ivb.getRev().trim())){
                rval= Convert.toBigDecimal(ivb.getRev().trim());
                ref=true;
            }

        }else if(StrUtil.isNotEmpty(ivb.getRv())){
            if( NumberUtil.isNumber(ivb.getRv().trim())){
                rval= Convert.toBigDecimal(ivb.getRv().trim());
                ref=false;
            }
        }


        //有左 有右
        if(lval!=null && rval!=null){
            //double minVal;
            if(lef){
                data.setLeftEq(lval);
            }else {
                data.setLeft(lval);
            }

            double maxVal;
            if(ref){
                data.setRightEq(rval);
            }else {
                data.setRight(rval);
            }
            return data;
        }



        //有左 ，无右
        if(lval!=null && rval==null){
            StringBuffer result=new StringBuffer();
            BigDecimal minVal;
            if(lef){
                minVal=lval;
                data.setLeftEq(lval);
            }else {
                minVal=lval;
                data.setLeft(lval);
            }
            data.setRightEq( minVal.add(new BigDecimal(0.0001)));
            return data;
        }

        //无左 ，有右 ;左=0
        if(lval==null && rval!=null){
            BigDecimal maxVal;
            if(ref){
                maxVal=rval;
                data.setRightEq(maxVal);
            }else {
                maxVal=rval;
                data.setRight(maxVal);
            }
            data.setLeftEq(new BigDecimal(0));
            return data;
        }

        //无左 ，无右
        if(lval==null && rval==null){
            return data;
        }
        return data;
    }

//    public String getIntervalStr(){
//        boolean lef=true; //是否包含=
//        Number lval=null;
//
//        if(StrUtil.isNotEmpty(this.getLev()) && NumberUtil.isNumber(this.getLev())){
//            lval= Convert.toNumber(this.getLev());
//            lef=true;
//        }else if(StrUtil.isNotEmpty(this.getLv()) && NumberUtil.isNumber(this.getLv())){
//            lval= Convert.toNumber(this.getLv());
//            lef=false;
//        }
//
//        boolean ref=true; //是否包含=
//        Number rval=null;
//        if(StrUtil.isNotEmpty(this.getRev()) && NumberUtil.isNumber(this.getRev())){
//            rval= Convert.toNumber(this.getRev());
//            ref=true;
//        }else if(StrUtil.isNotEmpty(this.getRv()) && NumberUtil.isNumber(this.getRv())){
//            rval= Convert.toNumber(this.getRv());
//            ref=false;
//        }
//
//
//        //有左 有右
//        if(lval!=null && rval!=null){
//            StringBuffer result=new StringBuffer();
//
//            double minVal;
//            if(lef){
//                minVal=lval.doubleValue();
//                result.append("["+minVal+",");
//            }else {
//                minVal=lval.doubleValue();
//                result.append("("+minVal+",");
//            }
//
//
//            double maxVal;
//            if(ref){
//                maxVal=rval.doubleValue();
//                result.append(maxVal+"]");
//            }else {
//                maxVal=rval.doubleValue();
//                result.append(maxVal+")");
//            }
//           return result.toString();
//        }
//
//
//        //有左 ，无右
//        if(lval!=null && rval==null){
//            StringBuffer result=new StringBuffer();
//            double minVal;
//            if(lef){
//                minVal=lval.doubleValue();
//                result.append("["+minVal+",)");
//            }else {
//                minVal=lval.doubleValue();
//                result.append("("+minVal+",)");
//            }
//            return result.toString();
//        }
//
//        //无左 ，有右 ;左=0
//        if(lval==null && rval!=null){
//            StringBuffer result=new StringBuffer();
//            double maxVal;
//            if(ref){
//                maxVal=rval.doubleValue();
//                result.append("[0,"+maxVal+"]");
//            }else {
//                maxVal=rval.doubleValue();
//                result.append("[0,"+maxVal+")");
//            }
//            return result.toString();
//        }
//
//        //无左 ，无右
//        if(lval==null && rval==null){
//            //return  0;
//            return "[]";
//        }
//
//        return null;
//    }


}
