package com.xxh.cloud.exeEtl.framework.modules.clean.service;

import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.DiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.bean.ods.OperationDiagnoseBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.ExamProjectBO;
import com.xxh.cloud.etl.common.framework.modules.write.bean.ods.LabProjectReportItemBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanDiagnoseBean;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.ros.DataCleanLabProject;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;

import java.util.List;

public interface DataCleanProcessTwoService {

    public CleanResultValueRO processMapping(DataCleanProcessTwoContext context,String table,String col, String val, DataCleanConfigBO config);

    public CleanResultValueRO processMapping(DataCleanProcessTwoContext context,String table,String col, String code,String name, DataCleanConfigBO config);

    public List<CleanResultValueRO> processKeywords(DataCleanProcessTwoContext context,String table, String col, String val, DataCleanConfigBO config);

    public List<DataCleanDiagnoseBean> processDiagnose(DataCleanProcessTwoContext context,String table, String col, List<DiagnoseBO> vals, DataCleanConfigBO config);
    public List<DataCleanDiagnoseBean> processDiagnoseOp(DataCleanProcessTwoContext context, String table, String col, List<OperationDiagnoseBO> vals, DataCleanConfigBO config);

    //
    public List<CleanResultValueRO> processExamProject(DataCleanProcessTwoContext context, String table, String col, List<ExamProjectBO> vals, DataCleanConfigBO config);

    public DataCleanLabProject processLabProject(DataCleanProcessTwoContext context,String table, String col, LabProjectReportItemBO val,String resultType, DataCleanConfigBO labTwoCategoryConfig);



}
