package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@DS("wd")
@Log4j2
@Service
public class DoctorAdviceCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;




    /**
     * 数据计算标记
     * */
    public void clean() {

        String sql_1="UPDATE ods_doctor_advice_info set is_sync='NONE' where is_sync='N'";

        String sql_2="UPDATE  ods_doctor_advice_info a set a.patient_id = b.patient_id " +
                " FROM dwd_inpatient_record_info b where a.opid =b.id and a.code ='F01000000067' " +
                " and a.patient_id is null and a.is_sync ='NONE'";


        String sql_3="UPDATE dwd_patient_info a set a.death_status='N' ,a.death_time =b.data_update_date " +
                " FROM ods_doctor_advice_info b where a.patient_id = b.patient_id and b.is_sync ='NONE' and  " +
                " b.code ='F01000000067' and b.patient_id is not null";


        String sql_4="UPDATE ods_doctor_advice_info set is_sync='Y' where is_sync='NONE'";

        dwd2DwdOpMapper.update(sql_1);
        dwd2DwdOpMapper.update(sql_2);
        dwd2DwdOpMapper.update(sql_3);
        dwd2DwdOpMapper.update(sql_4);

    }
}
