package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@DS("wd")
@Log4j2
@Service
public class DwdExamReserveCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


    /**
     * 再次清洗标记
     * */
    public void clean(boolean isAgainClean){



        String sql_1="UPDATE ods_examine_reserve_info a set a.is_sync='NONE', a.patient_id  = b.patient_id ,a.visit_id = b.visit_id ,a.in_patient_No = b.in_patient_No ," +
                "        a.patient_name = b.patient_name , a.department_code= b.department_code ,a.department_name = b.department_name  ,a.apply_date =b.apply_date ," +
                "        a.scene_type=b.scene_type  ,a.doctor_code = b.doctor_code  ,a.doctor_name = b.doctor_name ,a.items = b.items" +
                "        FROM ods_examine_apply_info b  where  a.apply_id = b.id and a.is_sync='N' and b.patient_id is not null";


        dwd2DwdOpMapper.update(sql_1);


        String sql_2="INSERT INTO dwd_examine_reserve_info (" +
                "            patient_id, id , apply_id ,visit_id ,in_patient_no , patient_name ,apply_department_name_raw ,apply_department_name_standard ," +
                "            apply_department_code_raw, apply_department_code_standard ,doctor_code ,doctor_name ,apply_date , book_date ,items_raw  ," +
                "            status_raw,data_update_date,op_data_user,op_date" +
                "            )" +
                "    SELECT" +
                "    patient_id, id , apply_id ,visit_id ,in_patient_no , patient_name ,department_name as apply_department_name_raw,department_name as apply_department_name_standard," +
                "    department_code as apply_department_code_raw , department_code as apply_department_code_standard ,doctor_code ,doctor_name ,apply_date , book_date ,items as items_raw," +
                "    status as status_raw ,data_update_date,op_data_user,op_update_data" +
                "    FROM ods_examine_reserve_info where is_sync='NONE'";

        dwd2DwdOpMapper.update(sql_2);

        if(isAgainClean){
            String sql_3="";

        }



        String sql_4="UPDATE ods_examine_reserve_info set  is_sync='Y' where is_sync='NONE'";
        dwd2DwdOpMapper.update(sql_4);


    }


}
