package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Struct;
import java.util.List;
import java.util.Map;

@DS("wd")
@Log4j2
@Service
public class DwdExaminationPatientMainCleanService {

    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;



//    public void relationExaminationPatientOne(String id){
//        String sql_1 = StrUtil.format("UPDATE dwd_examination_patient_info set main_person_id ='-1' where main_person_id ='0' and id_card is not null and id ='{}'" ,id);
//        dwd2DwdOpMapper.update(sql_1);
//        this.clean();
//
//    }
//
//    public void relationExaminationPatientMany(List<String> ids){
//        String sql_1 = StrUtil.format("UPDATE dwd_examination_patient_info set main_person_id ='-1' where main_person_id ='0' and id_card is not null and id in {}" , StrSqlUtils.in(ids));
//        dwd2DwdOpMapper.update(sql_1);
//        this.clean();
//    }


    public void relationExaminationPatient(){
        List<Map<String,Object>> list= dwd2DwdOpMapper.selectList("SELECT visit_id FROM dwd_examination_patient_info where main_person_id ='0' and id_card is not null LIMIT 1");
        if(CollUtil.isEmpty(list)){
            System.out.println("++++++++++++++++ 无清洗数据");
            return;
        }

        String sql_1 = "UPDATE dwd_examination_patient_info set main_person_id ='-1' where main_person_id ='0' and id_card is not null";
        dwd2DwdOpMapper.update(sql_1);
        this.clean();
    }

    private void clean(){
        String sql_2="UPDATE dwd_examination_patient_info a set a.main_person_id = b.id FROM dwd_person_info b where a.id_card =b.card_no and a.main_person_id='-1'";
        dwd2DwdOpMapper.update(sql_2);

        String sql_3="INSERT INTO dwd_person_info (id, name ,card_no_type ,card_no  ,op_data_user,op_date ) " +
                " SELECT UPPER(MD5(id_card)) as id  , patient_name ,'SFZ' as card_no_type , id_card ,  'auto'  as op_data_user , NOW() as  op_date FROM dwd_examination_patient_info where main_person_id='-1' ";
        dwd2DwdOpMapper.insert(sql_3);

        //todo:
        String sql_5="INSERT INTO dwd_patient_info (patient_id ,patient_name ,card_no_type_raw ,card_no_type_standard ,card_no ,remark ,main_person_id ,data_update_date,op_date)" +
                " SELECT UPPER(MD5(id_card)) as id  , patient_name ,'SFZ' as card_no_type_raw ,'SFZ' as card_no_type_standard ," +
                " id_card ,  '体检中心'  as remark , UPPER(MD5(id_card)) as mainid, NOW() as data_update_date , NOW() as  op_date" +
                " FROM dwd_examination_patient_info where main_person_id='-1' ";
        dwd2DwdOpMapper.insert(sql_5);

        String sql_4="UPDATE dwd_examination_patient_info  a set a.main_person_id = b.id FROM dwd_person_info b where a.id_card =b.card_no and a.main_person_id='-1'";
        dwd2DwdOpMapper.update(sql_4);



    }









}
