package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 出院小结
 * */
@DS("wd")
@Log4j2
@Service
public class DwdOutCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


    /**
     * 再次清洗标记
     * */
    public void clean(boolean isAgainClean){
        String sql_1="UPDATE ods_discharge_record_info set is_sync='ing' where is_sync='N'";
        dwd2DwdOpMapper.update(sql_1);

        String sql_2="SELECT * FROM ods_discharge_record_info where is_sync='ing'";
        if(isAgainClean){
            //不要在次清洗
        }

        String sql_3="INSERT into dwd_discharge_content_info (patient_id ,id ,content_raw)  SELECT patient_id ,id  , content FROM ods_discharge_record_info where is_sync='ing'";
        dwd2DwdOpMapper.insert(sql_3);

        String sql_4="UPDATE ods_discharge_record_info set is_sync='Y' where is_sync='ing'";
        dwd2DwdOpMapper.update(sql_4);
    }





}
