package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.cleansql;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.mapper.Dwd2DwdOpMapper;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@DS("wd")
@Log4j2
@Service
public class DwdPatientMainCleanService {


    @Autowired
    private Dwd2DwdOpMapper dwd2DwdOpMapper;


//    public void relationPatientOne(String id){
//        String sql_1 = StrUtil.format("UPDATE dwd_patient_info set main_person_id ='-1' where main_person_id ='0' and card_no is not null and patient_id ='{}'" ,id);
//        dwd2DwdOpMapper.update(sql_1);
//        this.clean();
//    }
//
//    public void relationPatientMany(List<String> ids){
//        String sql_1 = StrUtil.format("UPDATE dwd_patient_info set main_person_id ='-1' where main_person_id ='0' and card_no is not null and patient_id in {} " , StrSqlUtils.in(ids));
//        dwd2DwdOpMapper.update(sql_1);
//        this.clean();
//    }

    public void relationPatient(){
        List<Map<String,Object>> list= dwd2DwdOpMapper.selectList("SELECT patient_id FROM dwd_patient_info where main_person_id ='0' LIMIT 1");
        if(CollUtil.isEmpty(list)){
            System.out.println("++++++++++++++++ 无清洗数据");
            return;
        }
        String sql_1 = "UPDATE dwd_patient_info set main_person_id ='-1' where main_person_id ='0'";
        dwd2DwdOpMapper.update(sql_1);
        this.clean();
    }

    private void  clean(){

        String sql_2="INSERT INTO dwd_person_info (id, name ,card_no_type ,card_no  ,op_data_user,op_date ) " +
                " SELECT patient_id ,patient_name , 'HZH' as card_no_type , patient_id ,'auto'  as op_data_user , NOW() as op_date " +
                " FROM dwd_patient_info where main_person_id='-1' and card_no is null";
        dwd2DwdOpMapper.insert(sql_2);

        String sql_3="UPDATE dwd_patient_info set main_person_id =patient_id where main_person_id ='-1' and card_no is null ";
        dwd2DwdOpMapper.update(sql_3);


        String sql_4 = "UPDATE dwd_patient_info a set a.main_person_id =b.id FROM dwd_person_info b where a.card_no = b.card_no and a.main_person_id='-1' ";
        dwd2DwdOpMapper.update(sql_4);

        String sql_5="INSERT INTO dwd_person_info (id, name ,card_no_type ,card_no  ,op_data_user,op_date ) " +
                " SELECT max(patient_id) as patient_id ,max(patient_name) as  patient_name, 'SFZ' as card_no_type , card_no ,'auto'  as op_data_user " +
                " , NOW() as op_date FROM dwd_patient_info where main_person_id='-1'  GROUP BY card_no";
        dwd2DwdOpMapper.insert(sql_5);

        String sql_6 = "UPDATE dwd_patient_info a set a.main_person_id =b.id FROM dwd_person_info b where a.card_no = b.card_no and a.main_person_id='-1' ";
        dwd2DwdOpMapper.update(sql_6);

    }









}
