package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.service;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.constant.DataSceneType;
import com.xxh.cloud.etl.client.api.bean.bos.DataCleanConfigBO;
import com.xxh.cloud.exeEtl.framework.modules.clean.bean.dto.DataCleanProcessTwoContext;
import com.xxh.cloud.exeEtl.framework.modules.clean.service.DataCleanProcessTwoService;
import com.xxh.cloud.exeEtl.framework.modules.clean.utils.CleanResultValueRO;
import com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.config.Dwd2DwdCleanConfig;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 检验申请单项目
 * 不需清洗
 * */
@Log4j2
@Service
public class DwdLabApplyProjectCleanService extends Dwd2DwdCleanBaseService{


    @Autowired
    private DataCleanProcessTwoService dataCleanProcessTwoService;

    @Override
    protected boolean onDataOne(String tableCode, DataCleanProcessTwoContext context, Dwd2DwdCleanConfig config, Map<String, DataCleanConfigBO> dataCleanConfigMap, Map<String, Object> dataItem) {
        boolean flag=false;

        //item_group_code_raw

        String col1="item_group_code_raw";
        Object obj =  dataItem.get(col1);
        if(obj!=null){
            flag=true;
            dataItem.put("item_group_code_standard",obj);
            dataItem.put("item_group_name_standard",dataItem.get("item_group_name_standard"));
        }


//        String col1="item_group_code_raw";
//        DataCleanConfigBO colDataCleanConfig= this.getColumnCleanConfig(config,dataCleanConfigMap,col1);
//        Object obj =  dataItem.get(col1);
//        if(colDataCleanConfig!=null && obj!=null){
//            CleanResultValueRO valueRO= dataCleanProcessTwoService.processMapping(context,tableCode,col1, Convert.toStr(obj),colDataCleanConfig);
//            if(valueRO!=null && StrUtil.isNotEmpty(valueRO.getCode())){
//                flag=true;
//                dataItem.put("item_group_code_standard",valueRO.getCode());
//                dataItem.put("item_group_name_standard",valueRO.getName());
//            }
//        }

        if(flag){
            if(context.isCalFlag()){
                context.addRuleDataObj(dataItem.get("patient_id"), DataSceneType.DS_LaboratoryApplyItem,dataItem.get("data_update_date"),dataItem.get("id"));
            }
            context.addPatientDataTime(dataItem.get("patient_id"),dataItem.get("data_update_date"),null,null,null,null);
        }

        return flag;
    }


}
