package com.xxh.cloud.exeEtl.framework.modules.dwd2dwd.utils;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.digest.MD5;
import com.xxh.cloud.common.mq.bean.MQPatientAddBean;
import com.xxh.cloud.common.mq.bean.MQPatientDeptAddBean;
import com.xxh.cloud.common.mq.bean.MQPatientEventBean;
import com.xxh.cloud.common.mq.constant.PatientEventEnum;
import com.xxh.cloud.etl.common.framework.modules.bean.dwd.DiagnosisReportDBRO;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import org.jsoup.helper.DataUtil;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MQBeanCreateUtils {


//    /**
//     *  DiagnosisReportDBRO
//     * */
//    public static DiagnosisReportDBRO getDiagnosisReportDBRO(String patientId,String patientName, String visitId ,
//                                                             String inPatientNo,String deptName,String deptCode, String doctorCode,String doctorName ,
//                                                             String codeRaw ,String nameRaw,String codeStandard ,String nameStandard,
//                                                             Date diagnosisTime ,String mainFlag, String confirmFlag,
//                                                             String sceneType, String relType ,String relId,
//                                                             Date dataUpdateTime,String opUser,Date opDate){
//        DiagnosisReportDBRO data=new DiagnosisReportDBRO();
//        data.setPatient_id(patientId);
//        String id= StrUtil.format("{}_{}_{}_{}",patientId,relType,relId,codeStandard);
//        data.setId(SecureUtil.md5(id).toUpperCase());
//        data.setVisit_id(visitId);
//        data.setIn_patient_no(inPatientNo);
//        data.setPatient_name(patientName);
//        data.setDepartment_name_raw(deptName);
//        data.setDepartment_name_standard(deptName);
//        data.setDepartment_code_raw(deptCode);
//        data.setDepartment_code_standard(deptCode);
//        data.setDoctor_code(doctorCode);
//        data.setDoctor_name(doctorName);
//
//        data.setDiagnosis_code_raw(codeRaw);
//        data.setDiagnosis_name_raw(nameRaw);
//        data.setDiagnosis_code_standard(codeStandard);
//        data.setDiagnosis_name_standard(nameStandard);
//
//        data.setMain_flag(mainFlag);
//        data.setConfirm_flag(confirmFlag);
//
//        data.setRel_type(relType);
//        data.setRel_id(relId);
//
//        data.setScene_type_standard(sceneType);
//        data.setScene_type_raw(sceneType);
//
//        data.setDiagnosis_time(diagnosisTime);
//
//
//        data.setData_update_date(dataUpdateTime);
//        data.setOp_data_user(opUser);
//        data.setOp_date(opDate);
//        return data;
//    }




//    public static DiagnosisReportDBRO getDiagnosisReportDBRO2(Object patientId,Object patientName, Object visitId ,
//                                                              Object inPatientNo,Object deptName,Object deptCode, Object doctorCode,Object doctorName ,
//                                                              String codeRaw ,String nameRaw,String codeStandard ,String nameStandard,
//                                                              Object diagnosisTime ,String mainFlag, String confirmFlag,
//                                                              Object sceneType, Object relType ,Object relId,
//                                                              Object dataUpdateTime,Object opUser,Object opDate){
//
//
//
//
//        return null;
//    }


//    public static DiagnosisReportDBRO getDiagnosisReportDBRO2(Object patientId,Object patientName, Object visitId ,
//                                                              Object inPatientNo,String deptName,String deptCode, String doctorCode,String doctorName ,
//                                                             String codeRaw ,String nameRaw,String codeStandard ,String nameStandard,
//                                                             Date diagnosisTime ,String mainFlag, String confirmFlag,
//                                                              Object sceneType, Object relType ,Object relId,
//                                                              Object dataUpdateTime,Object opUser,Object opDate){
//        Date _dataUpdateTime=null;
//        if(dataUpdateTime!=null){
//            if(dataUpdateTime instanceof Date){
//                _dataUpdateTime =(Date)dataUpdateTime;
//            }else if(dataUpdateTime instanceof LocalDateTime){
//                //todo:
//            }
//        }
//
//        Date _opDate=null;
//        if(opDate!=null){
//            if(opDate instanceof Date){
//                _opDate =(Date)opDate;
//            }
//            //todo:
//        }
//
//        return getDiagnosisReportDBRO(
//                Convert.toStr(patientId),Convert.toStr(patientName),Convert.toStr(visitId),
//                Convert.toStr(inPatientNo),deptName,deptCode,doctorCode,doctorName,
//                codeRaw,nameRaw,codeStandard,nameStandard,
//                diagnosisTime,mainFlag,confirmFlag,
//                Convert.toStr(sceneType),Convert.toStr(relType),Convert.toStr(relId),
//                _dataUpdateTime,Convert.toStr(opUser),_opDate
//                );
//    }




    /***/
    public static MQPatientAddBean getMQPatientAddBean(Object id , Object name,Object cardNo,Object gender,Object birthday,Object phone,
                                                       Object workPhone,Object linkPhone,Object homePhone){
        if(id==null || name==null){
            return null;
        }
        MQPatientAddBean data=new MQPatientAddBean();
        data.setId(Convert.toStr(id));
        data.setName(Convert.toStr(name));
        if(cardNo!=null){
            data.setCardNo(Convert.toStr(cardNo));
        }
        if(gender!=null){
            data.setGender(Convert.toStr(gender));
        }
        if(birthday!=null){
            data.setBirthday(Convert.toStr(birthday));
        }
        if(phone!=null){
            data.setPhone(Convert.toStr(phone));
        }

        if(workPhone!=null){
            data.setWorkPhone(Convert.toStr(workPhone));
        }
        if(linkPhone!=null){
            data.setLinkPhone(Convert.toStr(linkPhone));
        }
        if(homePhone!=null){
            data.setHomePhone(Convert.toStr(homePhone));
        }

        return data;
    }

    /***/
    public static MQPatientDeptAddBean getMQPatientDeptAddBean(Object patientId,Object deptCode, Object status){
        if(patientId==null || deptCode==null){
            return null;
        }
        MQPatientDeptAddBean data=new MQPatientDeptAddBean();
        data.setPatientId(Convert.toStr(patientId));
        data.setDeptCode(Convert.toStr(deptCode));
        if(status!=null){
            data.setStatus(Convert.toStr(status));
        }
        return data;
    }

    /**
     *  患者事件数据
     * */
    public static MQPatientEventBean getMQPatientEventBean(PatientEventEnum eventType,String patientId,String eventDate,String relObjType,String relObjId){
        if(eventType==null || StrUtil.isEmpty(patientId)){
            return null;
        }
        MQPatientEventBean data=new MQPatientEventBean();
        data.setEventType(eventType.getCode());
        data.setPatientId(patientId);
        data.setEventDate(eventDate);
        data.setObjType(relObjType);
        data.setObjId(relObjId);
        return data;
    }

    /**
     *  患者事件数据
     * */
    public static MQPatientEventBean getMQPatientEventBean2(PatientEventEnum eventType,Object patientId,Object eventDate,String relObjType,Object relObjId){
        String date=null;

        if(eventDate!=null){
            if(eventDate instanceof String){
                date=(String) eventDate;
            }else {
                Date d=Convert.toDate(eventDate);
                date=DateUtil.format(d,"yyyy-MM-dd HH:mm:ss");
            }
        }

        return getMQPatientEventBean(eventType,Convert.toStr(patientId),date,relObjType,Convert.toStr(relObjId));
    }


    public static  boolean test(String dateStr ,String format){
        try {
            DateUtil.parse(dateStr,format);
            return true;
        }catch (Exception e){
            e.printStackTrace();
            return false;
        }
    }


//    public static void main(String[] args) {
////        String str="2023-11-23";
////        Date d=null;
////
//////        "yyyy-MM-dd HH:mm:ss"
////        System.out.println(DateUtil.formatDateTime(d));
////
////        List<String> ids=new ArrayList<>();
////
////        ids.add("11111");
////        ids.add("22222");
////
////        System.out.println(StrSqlUtils.in(ids));
//
//        Object obj=null;
//
//        System.out.println(Convert.toStr(obj));
//
//
//
//    }


}
