package com.xxh.cloud.exeEtl.framework.modules.read.bean.dto;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class DwdDataReadByListDTO {

    private String tableCode;

    private List<String> whereItems;

    public void addWhereItem(String item){
        if(this.whereItems==null){
            this.whereItems=new ArrayList<>();
        }
        if(StrUtil.isNotEmpty(item)){
            this.whereItems.add(item);
        }
    }

    public String getWhereSQL(){
        if(CollUtil.isEmpty(this.whereItems)){
            return null;
        }
        List<String> items=new ArrayList<>();
        this.whereItems.forEach(item->{
            String item2= item
                    .replaceAll("eq","=")
                    .replaceAll("ne","<>")
                    .replaceAll("gt",">")
                    .replaceAll("ge",">=")
                    .replaceAll("lt","<")
                    .replaceAll("le","<=");
            items.add(item2);
        });
        return StrUtil.join(" and ",items);
    }




    public static void main(String[] args) {
//        List<String> ids=new ArrayList<>();
//        ids.add("1");
//        ids.add("2");
//        System.out.println(StrSqlUtils.in(ids));

        String item="a ne 'b'";



        String item2= item.replaceAll("eq","=").replaceAll("ne","<>").replaceAll("gt",">").replaceAll("ge",">=").replaceAll("lt","<").replaceAll("le","<=");


        System.out.println(item2);


        //



       // System.out.println(StrSqlUtils.in_original(ids));
    }

}
