package com.xxh.cloud.sync.framework.constant;

public enum SyncApiTypeEnum {


    SAPI_PatientInfo("PatientInfo","患者基本信息"),


    SAPI_PatientRegister("PatientRegister","挂号记录同步"),


    SAPI_VisitRecord("VisitRecord","就诊记录同步"),

    SAPI_InRecord("InRecord","住院记录同步"),

    SAPI_InChange("InChange","住院更改记录同步"),

    SAPI_InAppointment("InAppointment","预约住院信息记录"),

    SAPI_OutSummary("OutSummary","出院小结记录"),

    SAPI_ExamApply("ExamApply","检查申请"),

    SAPI_ExamAppointment("ExamAppointment","检查预约"),

    SAPI_ExamReport("ExamReport","检查报告单数据"),


    SAPI_LaboratoryApply("LaboratoryApply","检验申请"),

    SAPI_LaboratoryReport("LaboratoryReport","检验报告单"),



    SAPI_AdviceMedication("AdviceMedication","医嘱用药数据"),

    SAPI_AdviceTherapy("AdviceTherapy","医嘱治疗数据"),


    SAPI_OperationApply("OperationApply","医嘱手术申请数据"),

    SAPI_OperationRecord("OperationRecord","手术记录数据"),


    SAPI_Diagnosis("Diagnosis","诊断"),

    SAPI_PatientFee("PatientFee","收费信息"),

    SAPI_DoctorAdvice("DoctorAdvice","医嘱数据"),


    SAPI_PastHis("PastHis","既往史数据"),

    SAPI_FirstCourseIllness("FirstCourseIllness","首次病程"),


    SAPI_MedicalRecord("MedicalRecord","电子病例"),




    SAPI_TJ_Patient("TJ_Patient","体检患者"),

    SAPI_TJ_Register("TJ_Register","体检登记"),

    SAPI_TJ_Report("TJ_Report","体检报告"),

    SAPI_TJ_FinalReport("TJ_FinalReport","总检报告"),

    SAPI_TJ_Suggest("TJ_Suggest","体检建议") ,


    SAPI_ActivityExamReport("ActivityExamReport","活动检查报告单数据"),
    ;

    private String code;
    private String name;

    private SyncApiTypeEnum() {
    }

    SyncApiTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
