package com.xxh.cloud.sync.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 同步数据日志明细信息表
 * </p>
 */
@Data
@TableName("bwd_data_sync_log_item_info")
public class DataSyncLogItemInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 主id
     */
     @ApiModelProperty(value = "主id")
      private String mainId;

    /**
     * 写表编号
     */
     @ApiModelProperty(value = "写表编号")
      private String writeTable;

    /**
     * 写状态
     */
     @ApiModelProperty(value = "写状态")
      private String writeStatus;

    /**
     * 写数量
     */
     @ApiModelProperty(value = "写数量")
      private Integer writeNum;

    /**
     * 错误信息
     */
     @ApiModelProperty(value = "错误信息")
      private String writeErrInfo;

    /**
     * 开始时间
     */
     @ApiModelProperty(value = "开始时间")
      private Date startDate;

    /**
     * 截止时间
     */
     @ApiModelProperty(value = "截止时间")
      private Date endDate;

    /**
     * 更新时间
     */
     @ApiModelProperty(value = "更新时间")
      private Date opDate;


}
