package com.xxh.cloud.sync.framework.modules.biz.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.framework.common.write.bean.HwdsWriteDBConfigBean;
import com.xxh.cloud.framework.common.write2.DorisWriteUtils;
import com.xxh.cloud.framework.common.write2.JdbcBatchWriteDTO;
import com.xxh.cloud.sync.framework.modules.biz.service.HospitalJDBCBizService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@DS("wd")
@Service
public class HospitalJDBCBizServiceImpl implements HospitalJDBCBizService {

    @Autowired
    private JdbcTemplate jdbcTemplate;


    private DataSource dataSource;



    @Override
    public JdbcBatchWriteDTO batchWrite(HwdsWriteDBConfigBean writeDBConfig, List<Map<String, Object>> data) {
        if(this.dataSource==null){
            System.out.println("++++ init dataSource ............");
            this.dataSource = jdbcTemplate.getDataSource();
        }
        return DorisWriteUtils.batchWrite(this.dataSource,writeDBConfig,data);
    }



}
