package com.xxh.cloud.sync.framework.modules.config.bean.dto;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DataSyncLogSaveDTO {


    @ApiModelProperty(value = "接口编号",required = true)
    private String code;


    @ApiModelProperty(value = "接口名称",required = true)
    private String name;


    @ApiModelProperty(value = "接口参数")
    private String params;


    @ApiModelProperty(value = "开始时间",required = true)
    private Date startDate;


    @ApiModelProperty(value = "截止时间",required = true)
    private Date endDate;


    @ApiModelProperty(value = "读数据量")
    private Integer readNum;


    @ApiModelProperty(value = "读状态")
    private String readStatus;


    @ApiModelProperty(value = "写信息")
    private List<DataSyncLogItemInfoAddDTO> logItemList;


    @ApiModelProperty(value = "状态",required = true)
    private String status;



    @ApiModelProperty(value = "备注")
    private String remark;



    public void addLogItem(DataSyncLogItemInfoAddDTO item){
        if(this.logItemList==null){
            this.logItemList=new ArrayList<>();
        }
        if(item!=null){
            this.logItemList.add(item);
        }
    }



}
