package com.xxh.cloud.sync.framework.modules.read.api.bean.xd;


import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class XDPatient {


    /**
     * 患者编号
     * */
    private String patientId;

    /**
     * 患者姓名
     * */
    private String patientName;

    /**
     * 身份证号
     * */
    private String idCardNo;

    /**
     * 性别
     * */
    private String patientGender;

    /**
     * 生日
     * */
    private String birthday;

    /**
     * 医疗机构编号
     * */
    private String hospId;

    /**
     * 医疗机构名称
     * */
    private String hospName;

    /**
     * 种族
     * */
    private String race;

    /**
     * 工作单位
     * */
    private String workUnit;

    /**
     * 邮编
     * */
    private String post;


    /**
     * 地址
     * */
    private String address;

    /**
     * 电话
     * */
    private String phone;

    /**
     * 是否有效 1有效0无效
     * */
    private String isValid;

    /**
     *患者照片
     * */
    private String patientPic;


    /**
     * 科室
     * */
    private String departId;

    /**
     * 标签
     * */
    private String tag;

    /**
     * 患者年龄
     * */
    private String patientAge;

    /**
     * 证件
     * */
    private String socialCard;

    /**
     *  创建源
     * */
    private String createSource;

    /**
     * 创建时间
     * */
    private Date createTime;

    /**
     *更新时间
     * */
    private Date updateTime;

    /**
     * 时间戳
     * */
    private String timeStamp;

    /**
     *  年龄
     * */
    private String age;

    /**
     * 年龄单位
     * */
    private String ageUnit;

    /**
     * 身高
     * */
    private String height;





}
