package com.xxh.cloud.sync.framework.modules.read.api.resp;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class PatientRecordHBO {


    /**
     * 门诊号:就诊卡号
     * */
    private String patientId;


    /**
     * 患者姓名
     * */
    private String patientName;


    /**
     * 身份证号
     * */
    private String idCardNo;

    /**
     * 【1】男
     * 【2】女
     * 【3】未知
     * */
    private String patientGender;


    /**
     * 生日 YYYY-MM-DD hh:mm:ss
     * */
    private Date birthday;


    /**
     * 电话号码
     * */
    private String phone;

    /**
     * 工作电话号码
     * */
    private String workPhone;

    /**
     * 联系电话号码
     * */
    private String linkPhone;

    /**
     * 家庭电话号码
     * */
    private String homePhone;

    /**
     * 备注信息
     * */
    private String remark;


    /**
     * 数据时间
     * */
    private Date updateTime;


    public PatientRecordHBO(String patientId, String patientName,String idCardNo,String phone,Date birthday){
            this.patientId=patientId;
            this.patientName=patientName;
            this.idCardNo=idCardNo;
            this.phone=phone;
            this.birthday=birthday;
    }

    public PatientRecordHBO(){



    }




}
