package com.xxh.cloud.sync.framework.modules.read.api.resp.bo1;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 *
 * */
@Getter
@Setter
public class MedicineOrderHBO {



    /**
     * 医嘱处方号 【主键】
     * */
    private String orderSn;


    /**
     * 就诊记录号 （住院号  挂号号）
     * */
    private String visitId;

    /**
     *
     * */
    private String opid;

    /**
     * 父处方号:可通过此字段关联分组
     * */
    private String parentOrderSn;

    /**
     * 科室代码
     * */
    private String departmentCode;

    /**
     * 科室名称
     * */
    private String departmentName;

    /**
     * 时间
     * */
    private Date payTime;

    /**
     * 提交时间
     * */
    private Date recipeTime;

    /**
     * 收费状态:CC:已缴费；RF；已退费；RFG:退费
     * */
    private String feeStatus;

    /**
     * 药品名称
     * */
    private String drugName;


    /**
     * 药品代码
     * */
    private String drugCode;

    /**
     * 规格
     * */
    private String medicineSpec;

    /**
     * 单次用药规格
     * */
    private String doseUnit;


    /**
     * 单次用药数量
     * */
    private String eachQuantity;

    /**
     * 总量
     * */
    private String total;

    /**
     * 总量单位
     * */
    private String totalUnit;


    /**
     * 用药方式编码
     * */
    private String usageCode;

    /**
     * 用药方式名称
     * */
    private String usageContent;


    /**
     * 用药频次代码
     * */
    private String frequencyCode;

    /**
     *用药频次
     * */
    private String frequencyName;

    /**
     *
     * */
    private Date updateTime ;
}
