package com.xxh.cloud.sync.framework.modules.read.api.service;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.sync.framework.modules.read.api.bean.doctorAdvice.DoctorAdviceBO;
import com.xxh.cloud.sync.framework.modules.read.api.utils.ThirdApiResp;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

/**
 * 医嘱解密接口
 * 转移到清洗模块
 */
public class BwwbDoctorAdviceService {

    private static final Logger logger = LoggerFactory.getLogger(BwwbDoctorAdviceService.class);



    public static DoctorAdviceBO getDoctorAdvice(String content){
        String url="http://172.17.100.39:1003/api/service/HtEmrAnalysis";
        String result =BwwbDoctorAdviceService.getHttp(url,content);
        if(StrUtil.isEmpty(result)){
            return null;
        }
        return JSON.parseObject(result,DoctorAdviceBO.class);
    }


    public static String getHttp(String url,String content) {
        Map<String, String> params = new HashMap<>();
        params.put("xml",content);
        try {
            String result = HttpUtil.post(url, JSON.toJSONString(params), 1000 * 60);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

}
