package com.xxh.cloud.sync.framework.modules.read.api.utils;

import cn.hutool.script.ScriptRuntimeException;
import cn.hutool.script.ScriptUtil;
import com.alibaba.fastjson2.JSON;
import jdk.nashorn.api.scripting.ScriptObjectMirror;

import javax.script.*;
import java.util.HashMap;
import java.util.Map;

public class TestJsUtils {

    public static void main(String[] args) {
//        CompiledScript script = ScriptUtil.compile("print('Script test!');");
//        try {
//            script.eval();
//        } catch (ScriptException e) {
//            throw new ScriptRuntimeException(e);
//        }


        //获取ScriptEngineManager对象
        ScriptEngineManager manager = new ScriptEngineManager();
        //获取JavaScript执行引擎
        ScriptEngine engine = manager.getEngineByName("js");
        //方式一
        String script = "function hello(name){" +
                " var obj={};" +
                    "obj.name=name.get('sex');" +
                    "obj.age = 18;" +
                    "obj.sex ='男';" +
                " return obj; " +
                "}";


        try {
            engine.eval(script);

            Invocable inv = (Invocable)engine;

            Map<String,String> map=new HashMap<>();
            map.put("age","41");
            map.put("sex","男");

            Object eval = inv.invokeFunction("hello", map);

//            System.out.println(eval);

            if (eval instanceof ScriptObjectMirror){
                ScriptObjectMirror obj = (ScriptObjectMirror)eval;
                System.out.println(obj.get("name"));
                System.out.println(obj.get("age"));
                System.out.println(obj.get("sex"));
            }

            if (eval instanceof String){
                System.out.println(" is string");
            }



        } catch (ScriptException e) {
            throw new RuntimeException(e);
        } catch (NoSuchMethodException e) {
            throw new RuntimeException(e);
        }



//        //方式二
//        String script = "'Hello '+name";//JS可执行的表达式
//        //传入参数
//        engine.put("name","张三枫");
//        //执行获取结果
//        try {
//            Object eval = engine.eval(script);
//            System.out.println(eval);
//        } catch (ScriptException e) {
//            throw new RuntimeException(e);
//        }



    }
}
